/* dbAddr.h */
/* this used to be defined in .../share/epicsH/dbAccess.h
*/

#ifndef	dbaddrH
#define	dbaddrH

typedef struct dbAddr
{
	char	*precord;	/* address of record				*/
	char	*pfield;	/* address of field				*/
	char	*pfldDes;	/* address of struct fldDes			*/
	long	no_elements;	/* number of elements (arrays)			*/
	short	record_type;	/* type of record being accessed		*/
	short	field_type;	/* type of database field			*/
	short	field_size;	/* size (bytes) of the field being accessed	*/
	short	special;	/* special processing				*/
	short	choice_set;	/* index of choiceSet GBLCHOICE & RECCHOICE	*/
	short	dbr_field_type;	/* field type as seen by database request	*/
				/* DBR_STRING,...,DBR_ENUM,DBR_NOACCESS		*/
} DBADDR;

#endif	dbaddrH
