/* epicsRelease.c (created by epics/release/mkRelease during system build) */

#include <tsDefs.h>

#ifndef EPICS_V2
    char *epicsRelease= "@(#)EPICS IOC CORE R3.0.10 Fri Jul 10 09:17:08 MDT 1992";
#else
    char *epicsRelease= "@(#)GTACS IOC CORE R3.0.10 Fri Jul 10 09:17:08 MDT 1992";
#endif

void coreRelease(void)
{
    double	sec;
    TS_STAMP	stamp;
    char	stampTxt[28];

    printf("#######################################################################\n");
    printf("### %s\n", epicsRelease);
    sec = tickGet()/sysClkRateGet();
    tsLocalTime(&stamp);
    if (stamp.secPastEpoch > 86400) {
	sec *= -1.;
	tsAddDouble(&stamp, &stamp, sec);
	tsStampToText(&stamp, TS_TEXT_MMDDYY, stampTxt);
	printf("### booted at: %s\n", stampTxt);
    }
    printf("#######################################################################\n");
}
