/**********
*
*	File:	leadlagredfldidx.h
*	Author:	John L. Dalesio
*	Date:	28-APRIL-1993
*
*	This file contains the field descriptor indices used by the
*	redundant update memory que routines for the leadlag record.
*
*	NOTE: The order of the fields in this list must match the order of
*		the list in recLeadlag.c.
*
*	Modification Log
*       ----------------
* .01	03-21-94	ems	removed LLMD,OUT0,DI
* .02	05-10-94	ems	added INI2, chg NUMFLDS to NUMLLFLDS
* .03	10-13-94	ems	added TIME and LALM
* .04	10-20-94	ems	chg TIME to LATM (last alarm time)
* .05	12-20-94	ems	removed LALM, not needed
**********/

#define		STAT	0
#define		SEVR	1
#define		VAL	2
#define		ILST	3
#define		TIM0	4
#define		INI2	5
#define		LATM	6
#define		MLST	7
#define		NUMLLFLDS	(MLST + 1)
