/**********
*
*	File:	rampredfldidx.h
*	Author:	John L. Dalesio
*	Date:	6-MAY-1993
*
*	This file contains the field descriptor indices used by the
*	redundant update memory que routines for the ramp record.
*
*	NOTE: The order of the fields in this list must match the order of
*		the list in recRamp.c.
*
*	Modification Log
*       ----------------
* .01	05-10-94	ems	added INI2, chg NUMFLDS to NUMRAMPFLDS
* .02	10-13-94	ems	added LALM and TIME
* .03	10-20-94	ems	chg TIME to LATM (last alarm time)
* .04	12-20-94	ems	removed LALM, not needed
**********/

#define		STAT	0
#define		SEVR	1
#define		VAL	2
#define		LTIM	3
#define		INI2    4
#define		LATM	5
#define		MLST	6
#define		NUMRAMPFLDS	(MLST + 1)
