
/* ldfw1Record.h */
#ifndef INCldfw1Recordh
#define INCldfw1Recordh
#ifndef	INCLlstLibh
#include <lstLib.h>	/* list structure definition for the monitor list */
#endif
#ifndef	INCLsemLibh
#include <semLib.h>	/* semaphore structure definition for the monitor lock*/
#endif
#ifndef INCLfast_lockh
#include <fast_lock.h>	/* fast lock data structures and macros */
#endif
#ifndef INCLlinkh
#include <link.h>	/* fast lock data structures and macros */
#endif
#ifndef INC_tsDefs_h
#include <tsDefs.h>	/* time-stamp related definitions */
#endif
struct ldfw1Record	{
	char		name[28];		/*  */
	char		desc[41];		/*  */
	char alignPad1;		/*  */
	unsigned short	scan;		/*  */
	short		phas;		/*  */
	short		evnt;		/*  */
	unsigned short	dtyp;		/*  */
	unsigned short	tenb;		/*  */
	struct dset	*dset;		/*  */
	LIST		mlis;		/*  */
	FAST_LOCK	mlok;		/*  */
	struct link	sdis;		/*  */
	struct link	adis;		/*  */
	short		disv;		/*  */
	short		disa;		/*  */
	unsigned char	pact;		/*  */
	unsigned char	udf;		/*  */
	short		lset;		/*  */
	short		lcnt;		/*  */
	short		proc;		/*  */
	short		init;		/*  */
	unsigned short	stat;		/*  */
	unsigned short	sevr;		/*  */
	unsigned short	nsta;		/*  */
	unsigned short	nsev;		/*  */
	short		tagd;		/*  */
	TS_STAMP	latm;		/*  */
	TS_STAMP      lptm;		/*  */
	unsigned short	ack;		/*  */
	unsigned short	oscn;		/*  */
	unsigned short	aenb;		/*  */
	char		resn[16];		/*  */
	char		algp[16];		/*  */
	short		rdur;		/*  */
	void          *radr;		/*  */
	short		rduf;		/*  */
	short		rcrc;		/*  */
	struct scanLock *lsad;		/*  */
	struct dbCommon *lsnr;		/*  */
	short		ini2;		/*  */
	unsigned short	msev;		/*  */
	unsigned short	psta;		/*  */
	unsigned short	psev;		/*  */
	short		hhll;		/*  */
	short		hilo;		/*  */
	short		aldl;		/*  */
	short		rtct;		/*  */
	unsigned long	larf;		/*  */
	short		dvct;		/*  */
	unsigned short	itag;		/*  */
	long		tstp;		/*  */
	short		ralm;		/*  */
	char alignPad3[2];		/*  */
	/* start of ldfw1 specific fields */ 
	short		val;		/*  */
	short		nrpm;		/*  */
	short		preq;		/*  */
	short		lpst;		/*  */
	struct link	pm01;		/*  */
	struct link	pm02;		/*  */
	struct link	pm03;		/*  */
	struct link	pm04;		/*  */
	struct link	pm05;		/*  */
	struct link	pm06;		/*  */
	struct link	pm07;		/*  */
	struct link	pm08;		/*  */
	struct link	pm09;		/*  */
	struct link	pm10;		/*  */
	struct link	pm11;		/*  */
	struct link	pm12;		/*  */
	struct link	pm13;		/*  */
	struct link	pm14;		/*  */
	struct link	pm15;		/*  */
	struct link	pm16;		/*  */
	struct link	pm17;		/*  */
	struct link	pm18;		/*  */
	struct link	pm19;		/*  */
	struct link	pm20;		/*  */
	struct link	flnk;		/*  */
	struct link	susp;		/*  */
	short		susv;		/*  */
	short		susm;		/*  */
	unsigned short	psmd;		/*  */
	short		ds01;		/*  */
	short		ds02;		/*  */
	short		ds03;		/*  */
	short		ds04;		/*  */
	short		ds05;		/*  */
	short		ds06;		/*  */
	short		ds07;		/*  */
	short		ds08;		/*  */
	short		ds09;		/*  */
	short		ds10;		/*  */
	short		ds11;		/*  */
	short		ds12;		/*  */
	short		ds13;		/*  */
	short		ds14;		/*  */
	short		ds15;		/*  */
	short		ds16;		/*  */
	short		ds17;		/*  */
	short		ds18;		/*  */
	short		ds19;		/*  */
	short		ds20;		/*  */
	short		alst;		/*  */
	float		strs;		/*  */
	float		stps;		/*  */
	float		ospt;		/*  */
	unsigned short	usvr;		/*  */
	unsigned short	lsvr;		/*  */
	unsigned short	mode;		/*  */
	short		nstp;		/*  */
	unsigned long	lpct;		/*  */
	unsigned long	lpcm;		/*  */
	unsigned long	pc01;		/*  */
	unsigned long	pc02;		/*  */
	unsigned long	pc03;		/*  */
	unsigned long	pc04;		/*  */
	unsigned long	pc05;		/*  */
	unsigned long	pc06;		/*  */
	unsigned long	pc07;		/*  */
	unsigned long	pc08;		/*  */
	unsigned long	pc09;		/*  */
	unsigned long	pc10;		/*  */
	unsigned long	pc11;		/*  */
	unsigned long	pc12;		/*  */
	unsigned long	pc13;		/*  */
	unsigned long	pc14;		/*  */
	unsigned long	pc15;		/*  */
	unsigned long	pc16;		/*  */
	unsigned long	pc17;		/*  */
	unsigned long	pc18;		/*  */
	unsigned long	pc19;		/*  */
	unsigned long	pc20;		/*  */
	unsigned short	ps01;		/*  */
	unsigned short	ps02;		/*  */
	unsigned short	ps03;		/*  */
	unsigned short	ps04;		/*  */
	unsigned short	ps05;		/*  */
	unsigned short	ps06;		/*  */
	unsigned short	ps07;		/*  */
	unsigned short	ps08;		/*  */
	unsigned short	ps09;		/*  */
	unsigned short	ps10;		/*  */
	unsigned short	ps11;		/*  */
	unsigned short	ps12;		/*  */
	unsigned short	ps13;		/*  */
	unsigned short	ps14;		/*  */
	unsigned short	ps15;		/*  */
	unsigned short	ps16;		/*  */
	unsigned short	ps17;		/*  */
	unsigned short	ps18;		/*  */
	unsigned short	ps19;		/*  */
	unsigned short	ps20;		/*  */
	short		ulim;		/*  */
	short		llim;		/*  */
	short		lalm;		/*  */
	short		mlst;		/*  */
};
#endif

