
/* tdRecord.h */
#ifndef INCtdRecordh
#define INCtdRecordh
#ifndef	INCLlstLibh
#include <lstLib.h>	/* list structure definition for the monitor list */
#endif
#ifndef	INCLsemLibh
#include <semLib.h>	/* semaphore structure definition for the monitor lock*/
#endif
#ifndef INCLfast_lockh
#include <fast_lock.h>	/* fast lock data structures and macros */
#endif
#ifndef INCLlinkh
#include <link.h>	/* fast lock data structures and macros */
#endif
#ifndef INC_tsDefs_h
#include <tsDefs.h>	/* time-stamp related definitions */
#endif
struct tdRecord	{
	char		name[28];		/*  */
	char		desc[41];		/*  */
	char alignPad1;		/*  */
	unsigned short	scan;		/*  */
	short		phas;		/*  */
	short		evnt;		/*  */
	unsigned short	dtyp;		/*  */
	unsigned short	tenb;		/*  */
	struct dset	*dset;		/*  */
	LIST		mlis;		/*  */
	FAST_LOCK	mlok;		/*  */
	struct link	sdis;		/*  */
	struct link	adis;		/*  */
	short		disv;		/*  */
	short		disa;		/*  */
	unsigned char	pact;		/*  */
	unsigned char	udf;		/*  */
	short		lset;		/*  */
	short		lcnt;		/*  */
	short		proc;		/*  */
	short		init;		/*  */
	unsigned short	stat;		/*  */
	unsigned short	sevr;		/*  */
	unsigned short	nsta;		/*  */
	unsigned short	nsev;		/*  */
	short		tagd;		/*  */
	TS_STAMP	latm;		/*  */
	TS_STAMP      lptm;		/*  */
	unsigned short	ack;		/*  */
	unsigned short	oscn;		/*  */
	unsigned short	aenb;		/*  */
	char		resn[16];		/*  */
	char		algp[16];		/*  */
	short		rdur;		/*  */
	void          *radr;		/*  */
	short		rduf;		/*  */
	short		rcrc;		/*  */
	struct scanLock *lsad;		/*  */
	struct dbCommon *lsnr;		/*  */
	short		ini2;		/*  */
	unsigned short	msev;		/*  */
	unsigned short	psta;		/*  */
	unsigned short	psev;		/*  */
	short		hhll;		/*  */
	short		hilo;		/*  */
	short		aldl;		/*  */
	short		rtct;		/*  */
	unsigned long	larf;		/*  */
	short		dvct;		/*  */
	unsigned short	itag;		/*  */
	long		tstp;		/*  */
	short		ralm;		/*  */
	char alignPad3[2];		/*  */
	/* start of td specific fields */ 
	unsigned short	val;		/*  */
	unsigned short	nval;		/*  */
	unsigned short	ival;		/*  */
	unsigned short	tdch;		/*  */
	struct link	dol;		/*  */
	struct link	out;		/*  */
	struct link	flnk;		/*  */
	char		znam[20];		/*  */
	char		onam[20];		/*  */
	unsigned long	rval;		/*  */
	unsigned long	oraw;		/*  */
	unsigned long	mask;		/*  */
	unsigned long	rbv;		/*  */
	unsigned long	orbv;		/*  */
	unsigned short	zsv;		/*  */
	unsigned short	osv;		/*  */
	unsigned short	cosv;		/*  */
	unsigned short	mlst;		/*  */
	unsigned short	lalm;		/*  */
	unsigned short	linp;		/*  */
	unsigned short	invt;		/*  */
	unsigned short	lted;		/*  */
	float		tdv1;		/*  */
	float		tdv2;		/*  */
	void		*tdcb;		/*  */
	unsigned short	iact;		/*  */
	unsigned short	omsl;		/*  */
	short		next;		/*  */
	short		cbac;		/*  */
	unsigned long	ctck;		/*  */
	unsigned long	dtck;		/*  */
	unsigned short	pval;		/*  */
	short		tflg;		/*  */
	short		lflg;		/*  */
	unsigned short	tval;		/*  */
	short		cbmd;		/*  */
	unsigned short	lval;		/*  */
	short		fpps;		/*  */
	unsigned short	frst;		/*  */
	float		dwel;		/*  */
	float		tmrm;		/*  */
	unsigned long	tmct;		/*  */
	short		lcbm;		/*  */
};
#endif

