/****************************************************************/
/*								*/
/*		   RESOURCE GROUP LOCK MANAGER			*/
/*								*/
/*	This task watches over groups of resources. When any	*/
/*	resource in a group transits from caAnswer 1 -> 0	*/
/*	AND it's state is slave, then set the resource lock	*/
/*	flag for that group to TRUE.				*/
/*								*/
/*	Author: Gordon Uchenick					*/
/*								*/
/****************************************************************/

/****** THE GLOBAL ARRAY ******/
#define MAXGROUPS	16

extern	short  resGroupLock[MAXGROUPS];		/* 0 init */
extern	char  *resGroupTripName[MAXGROUPS];	/* 0 init, again */

int assignLockGroup(int group, char *resource);
int initResGroupScan(void);
