/*drvTosg2_proto.h,v 1.1.1.1 1999/08/03 14:45:07 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/*
**  File: drvTosg2_proto.h
**
*/                                                                                                                      

static long  init ();

       void  HELP (void);

       void  TRACEON (unsigned short line);

       void TRACEOFF (unsigned short line);

       void TRAFFIC (unsigned short line, unsigned char add, unsigned char type, unsigned char num);

       void TRAFFICON (unsigned short line);

       void TRAFFICOFF (unsigned short line);

       void RTRACE (unsigned short line, unsigned short level);

       void RTRACEON (unsigned short line);

       void RTRACEOFF (unsigned short line);

       void TRACELEVEL (unsigned short line, unsigned short level);

       void SIMON (unsigned short line, unsigned short delay, int low, int high, int digenable);

       void SIMOFF (unsigned short line);

       void CONTRACEON (unsigned short line);

       void CONTRACEOFF (unsigned short line);

       void RUNTRACEON (unsigned short line);

       void RUNTRACEOFF (unsigned short line);

       void REJECTTRACEON (unsigned short line);

       void REJECTTRACEOFF (unsigned short line);

       void NACKTRACEON (unsigned short line);

       void NACKTRACEOFF (unsigned short line);

       void DEFAULTTRACE (unsigned short line);

       void moderrortrace (unsigned short line);

       int  STOPDRIVER (short ln);

       int  STARTDRIVER (unsigned short line,/* the line number of this driver.                      */
                   char *mode,               /* UART initializations string (comma delimited ascii). */
                   unsigned short delay,     /* intermessage delay value, expressed in ticks.        */
                   unsigned short hdflag,    /* half duplex flag. 1=half duplex mode, 1!=full duplex */
                   unsigned short delay1,    /* half duplex post RTS assert, pre TX delay.           */
                   unsigned short delay2,    /* half duplex post TX, pre RTS drop delay.             */
                   unsigned short private);   /* private flag. if 0, normal. if !0, no partner driver.*/

       void SETCOMM (unsigned short line,
              unsigned short tickcount1,
              unsigned short hdflag,
              unsigned short tickcount2,
              unsigned short tickcount3);

       void MAIN (unsigned short line,
                  unsigned char *mode,
                  unsigned short delay,
                  unsigned short hdflag,
                  unsigned short delay1,
                  unsigned short delay2,
                  unsigned short private);

static void getsemaphore(unsigned short line);

static void on_line (unsigned short line,unsigned short unit);

static void mark_not_valid (G2UNIT  *punit);

static void scan_unit (G2UNIT *punit, unsigned short line, unsigned short unit);

static void sim_unit (G2UNIT *punit, unsigned short line, unsigned short unit);

static void checkoutputs (unsigned short line);

       int AIDRIVER (char *pointname, unsigned short link, unsigned short adapter, unsigned short card,
                     unsigned short signal, float *pvalue, unsigned short conversion,
                     unsigned char *resname);

       int AODRIVER (char *pointname, unsigned short link, unsigned short adapter, unsigned short card,
                     unsigned short signal, double dvalue, float value,
                     unsigned short conversion, unsigned char *resname);

       int AOREAD   (char *pointname, unsigned short link, unsigned short adapter, unsigned short card,
                     unsigned short signal, float *pvalue,
                     unsigned short conversion, unsigned char *resname);

       int BIDRIVER (char *pointname, unsigned short link, unsigned short adapter, unsigned short card,
                     unsigned short signal, unsigned long mask, unsigned long *pvalue,
                     unsigned char *resname);

       int BODRIVER (char *pointname, unsigned short link, unsigned short adapter, unsigned short card,
                     unsigned short signal, unsigned long value, unsigned long mask,
                     unsigned char *resname);

       int BOREAD   (char *pointname, unsigned short link, unsigned short adapter, unsigned short card,
                     unsigned short signal, unsigned long *pvalue, unsigned long mask,
                     unsigned char *resname);

static void  register_resource (unsigned short link, G2UNIT *punit,
                                unsigned char *resname, char *pointname);

static OUTQENT *ogetemptyp (unsigned short line);

static void omarkfull (unsigned short line);

static	OUTQENT *ogetnextp (unsigned short line);

static	void oreleasefull (unsigned short line);

static int allocate_unit (unsigned short line, unsigned short unit);

static	void start_rx (unsigned short line,SEMAPHORE *semid,unsigned short *pstatus);

static	void stop_rx (unsigned short line );

static	void rx_int_proc (unsigned short line);

static	int check_line_activity (unsigned short line, unsigned short predelay);

static	void start_tx (unsigned short line,SEMAPHORE *semid,unsigned short *pstatus);

static	void stop_tx (unsigned short line);

static	void tx_int_proc (unsigned short line);

static	unsigned short  msgxfer (unsigned short fline, G2UNIT *punit);

static  void checkchksum (unsigned char *chkbuf, int len, char unsigned *retbuf);

static	void init_unit_tab (unsigned short line, unsigned short unit);

static void initunit (G2UNIT  *punit);

static	void initstats (G2UNIT *punit);

static	unsigned short g2loopback (unsigned short line, unsigned short unit, G2UNIT *punit);

static short asciihex (unsigned short *val, char *buf);

static short oneascii (unsigned short *val, char ch);

static void decascii (unsigned short val, char *buf);

static void floatascii (float val, char *buf);

static unsigned short makechksum (unsigned char *chkbuf, int len, char unsigned *retbuf);

static	void prepresponses (unsigned short line);

static	int any_responding (unsigned short line);

static	unsigned short readzero (unsigned short line, unsigned short unit, G2UNIT *punit);

static	unsigned short readram (unsigned short line, unsigned short unit,
                                G2UNIT *punit, unsigned short address);

static	unsigned short statusmonitor (unsigned short line, unsigned short unit,
                                      G2UNIT *punit, unsigned short address);

static	unsigned short writeram (unsigned short line, unsigned short unit,
                                G2UNIT *punit, unsigned short address, float value);

static	unsigned short writerun (unsigned short line, unsigned short unit,
                                 G2UNIT *punit, unsigned short address,
                                 unsigned short signal);

static	unsigned short writestop (unsigned short line, unsigned short unit,
                                  G2UNIT *punit, unsigned short address,
                                  unsigned short signal);

static	unsigned short writejog (unsigned short line, unsigned short unit,
                                 G2UNIT *punit, unsigned short address,
                                 unsigned short signal);

static	unsigned short writeemergencystop (unsigned short line, unsigned short unit,
                                           G2UNIT *punit, unsigned short address,
                                           unsigned short signal);

static	unsigned short writetripclear (unsigned short line, unsigned short unit,
                                       G2UNIT *punit, unsigned short address,
                                       unsigned short signal);

static	void hexascii (unsigned short val,char *buf);

static  short parsefloat (char *buf, unsigned short length, float *datavalue);

static  short parsehex (char *buf, unsigned short length, float *datavalue);

static short onefascii (unsigned short *val, char ch);

void DUMPMSGCNTS (unsigned short line);

void CLEARMSGCNTS (unsigned short line);

void DUMPUNITSTATS (unsigned short line, unsigned short maddr);

void CLEARUNITSTATS (unsigned short line, unsigned short maddr);

void TABLEINFO (unsigned short line, unsigned short maddr);

void dump_ai_table (unsigned short line, unsigned short maddr);

static void printramhdr (unsigned char *buffer, unsigned short *cnt);

static void printmonitorhdr (unsigned char *buffer, unsigned short *cnt);

static void printsystemhdr(unsigned char *buffer, unsigned short *cnt);

static void printcommandshdr (unsigned char *buffer, unsigned short *cnt);

void UNITINFO (unsigned short line);

static void printunithdr (unsigned char *buffer, unsigned short cnt);

LINEINFO ();

void setpercent (unsigned short line, unsigned short value);

void setminbounce (unsigned short line, unsigned short value);

void dumpbq (unsigned short line);

static void printbdhdr (unsigned char *buffer, unsigned short *cnt,
                        unsigned short percent, unsigned short minimum);

/*	End of File:	drvTosg2_proto.h */
