/*atca_lastvalue.c,v 1.1.1.1 1999/08/03 14:41:37 tis4000 Exp */

/*
**	Tate Integrated Systems,LP
**
**	This function sets the return value so that 123 can recognize it.
**
**
*/
/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
#define	USE_REGISTER
#include "atcamain.h"


void	ATCA_SetLastValue(node)
ENTRY	*node;
{
lulong	ATCA_123Integer;
lfloat8	ATCA_123Float;
switch(node->type)
	{
	case DBR_STS_FLOAT:
	case DBR_STS_DOUBLE:
		ATCA_123Float = node -> lastvalue.float_value;
		LpiRegAtSetRetType(LPI_T_REG_AT_TYPE_NUM_FLOAT);
		*((lptr(lfloat8))LpiRegAtAccessRetData()) = ATCA_123Float;
		break;
	case DBR_STS_CHAR:
		ATCA_123Integer = node -> lastvalue.byte_value & 0xff;
		LpiRegAtSetRetType(LPI_T_REG_AT_TYPE_NUM_INT);
		*((lptr(lulong))LpiRegAtAccessRetData()) = ATCA_123Integer;
		break;
	case DBR_STS_LONG:
		ATCA_123Integer = node -> lastvalue.long_value;
		LpiRegAtSetRetType(LPI_T_REG_AT_TYPE_NUM_INT);
		*((lptr(lulong))LpiRegAtAccessRetData()) = ATCA_123Integer;
		break;
	case DBR_STS_SHORT:
	case DBR_STS_ENUM:
		ATCA_123Integer = node -> lastvalue.short_value & 0xffff;
		LpiRegAtSetRetType(LPI_T_REG_AT_TYPE_NUM_INT);
		*((lptr(lulong))LpiRegAtAccessRetData()) = ATCA_123Integer;
		break;
	case DBR_STS_STRING:
		LpiRegAtSetRetType(LPI_T_REG_AT_TYPE_STR_NATIVE);
		strcpy((char *)LpiRegAtAccessRetData(),&node -> laststring[0]);
		break;
	}
}
