#ifndef alvuINCLUDED
#define alvuINCLUDED

#ifndef vnameINCLUDED
#include <vname.h>
#endif

vportBEGIN_CPLUSPLUS_EXTERN_C

/*
 * * * * * * * * * CONSTANTS AND MACRO DEFINITIONS * * * * * * * * * *
 */

enum {
	_alvu_SelectDeleteFilterTitle,
	_alvu_AlGrpDisablePt,
	_alvu_BlueLabel,
	_alvu_EnablePtTitle,
	_alvu_DisabledContainer,
	_alvu_ExpandViewTitle,
	_alvu_OpTrackOpenErr,
	_alvu_ValveFaultContainer,
	_alvu_AlTrkEntireWindow,
	_alvu_AlWndwEntireWindow,
	_alvu_AlTrkThisWindow,
	_alvu_PopupDialog,
	_alvu_FilterNameNeeded,
	_alvu_RefreshCancelledMsg,
	_alvu_DisplayEntry,
	_alvu_SelectionLabel,
	_alvu_EntireSummary,
	_alvu_MainFileDelete,
	_alvu_GreenValue,
	_alvu_PrintFinished,
	_alvu_MainViewSysHistory,
	_alvu_DisableGrpTitle,
	_alvu_DefineNewFilterTitle,
	_alvu_InitOperPrivErr,
	_alvu_ColorChooserDialog,
	_alvu_OneLineDownButton,
	_alvu_EnablePrivErr,
	_alvu_MainDialog,
	_alvu_AckContainer,
	_alvu_SetupFileReadErr,
	_alvu_ReportDialog,
	_alvu_GroupLabel,
	_alvu_UnkFldNameErr,
	_alvu_ComboBox,
	_alvu_BlankContainer,
	_alvu_AlHistThisWindow,
	_alvu_ShmemFormatErr,
	_alvu_IllegalCmdLineArg,
	_alvu_SelectEditFilterTitle,
	_alvu_RedSlider,
	_alvu_DynamicGroupTitle,
	_alvu_CommentView,
	_alvu_EditExistFilterTitle,
	_alvu_InfoTag,
	_alvu_alvuFilterDlg,
	_alvu_MainFileMenu,
	_alvu_EventButton,
	_alvu_MainFilePrint,
	_alvu_MajorFilterName,
	_alvu_SetupVersionErr,
	_alvu_FilterStartupContainer,
	_alvu_AlarmSummaryPrint,
	_alvu_SetupFileOpenErr,
	_alvu_AlsumAckPage,
	_alvu_CautionNotice,
	_alvu_AlGrpEnablePt,
	_alvu_AckAll,
	_alvu_AlarmsAfter,
	_alvu_MenuBar,
	_alvu_BlueSlider,
	_alvu_MainFileExit,
	_alvu_AlsumSilence,
	_alvu_MgrConnClosed,
	_alvu_ShmemAllocFail,
	_alvu_AlarmGroupButton,
	_alvu_AlsumModFilter,
	_alvu_OpenButton,
	_alvu_CancelDataButtonContainer,
	_alvu_TopButton,
	_alvu_IOFailContainer,
	_alvu_FilterStartupLabel,
	_alvu_MainCtrlDisPt,
	_alvu_CommentDialog,
	_alvu_DeleteButton,
	_alvu_AlHistModFilter,
	_alvu_MainViewEvHist,
	_alvu_StartupGroupNotExist,
	_alvu_ProgressDialog,
	_alvu_MainViewAlHist,
	_alvu_AlmPtsPrtTitle,
	_alvu_StartReadDataTitle,
	_alvu_AboutTitle,
	_alvu_DisablePtTitle,
	_alvu_NothingToPrint,
	_alvu_ValidButton,
	_alvu_DisablePrivErr,
	_alvu_MinorButton,
	_alvu_AlGrpEntireWindow,
	_alvu_UnkMgrMsg,
	_alvu_FilterStartup,
	_alvu_NoPrinterMsg,
	_alvu_OneLineDialog,
	_alvu_AlarmSummaryPrintTitle,
	_alvu_AlsumAckAll,
	_alvu_MainViewReports,
	_alvu_AlarmEventTitle,
	_alvu_EntireWindow,
	_alvu_SilenceMenuTitle,
	_alvu_ShowAll,
	_alvu_NoMemGrpNameErr,
	_alvu_AlarmDialogScrollBarContainer,
	_alvu_BlueValue,
	_alvu_AckDeletedMsg,
	_alvu_PrintNameTitle,
	_alvu_TempPrtFileErr,
	_alvu_AlarmWindowTitle,
	_alvu_PauseButton,
	_alvu_SystemTag,
	_alvu_ContainerDictionary,
	_alvu_GrpUnixPrtTitle,
	_alvu_GroupMenuTitle,
	_alvu_InfoNotice,
	_alvu_ManualContainer,
	_alvu_ValveFault,
	_alvu_ShmgetFail,
	_alvu_NoEnablePriv,
	_alvu_AlarmHistoryPrintTitle,
	_alvu_AlEvntThisWindow,
	_alvu_CancelDataButton,
	_alvu_InfoButton,
	_alvu_AlarmTrackTitle,
	_alvu_OKButton,
	_alvu_WhileReadingMsg,
	_alvu_AlarmDialogScrollBar,
	_alvu_MinorFilterName,
	_alvu_ShmdtFail,
	_alvu_MainSetupSave,
	_alvu_CommentPopup,
	_alvu_BottomButton,
	_alvu_MainSetupPrt,
	_alvu_NoAckPrivMsg,
	_alvu_MainViewAlSum,
	_alvu_RedLabel,
	_alvu_MainCtrlDisGrp,
	_alvu_ExitButton,
	_alvu_DictOverflowErr,
	_alvu_OneLineUpButton,
	_alvu_ShmatFail,
	_alvu_AckPage,
	_alvu_AlGrpScript,
	_alvu_HideMinor,
	_alvu_AlarmHistoryTitle,
	_alvu_MainVuDialog,
	_alvu_ShowAlarm,
	_alvu_InitPrivErr,
	_alvu_AlarmColorsLabel,
	_alvu_SelectStartupFilterTitle,
	_alvu_PumpFaultContainer,
	_alvu_GroupNotExistMsg,
	_alvu_MajorButton,
	_alvu_SecondLine,
	_alvu_Manual,
	_alvu_OnePageUpButton,
	_alvu_ItemsText,
	_alvu_MainFileNew,
	_alvu_MainExitButton,
	_alvu_SaveRptAs,
	_alvu_Disabled,
	_alvu_CancelButton,
	_alvu_AlsysEntireSummary,
	_alvu_ItemCountMsg,
	_alvu_OperatorLabel,
	_alvu_SendUnavailMsg,
	_alvu_UpButton,
	_alvu_ItemCount,
	_alvu_BrowseGroupTitle,
	_alvu_DisplayManyMsg,
	_alvu_OffscanContainer,
	_alvu_EntireHistory,
	_alvu_MainViewGroup,
	_alvu_AlarmSystemTitle,
	_alvu_FilterNameContainer,
	_alvu_FilterNameLabel,
	_alvu_LegalCmdLineArgs,
	_alvu_StartupContainer,
	_alvu_InitFailContainer,
	_alvu_NoGrpSelectErr,
	_alvu_EntireGrpTitle,
	_alvu_RedValue,
	_alvu_AlsumEntireWindow,
	_alvu_NotSetupFileErr,
	_alvu_BadFldSpecZeroErr,
	_alvu_MainSetupStFilter,
	_alvu_MainHelpMenu,
	_alvu_TitlesDictionary,
	_alvu_AlarmsBefore,
	_alvu_HideMajor,
	_alvu_AlarmsBeforeLabel,
	_alvu_OffScan,
	_alvu_AlGrpModFilter,
	_alvu_AlarmReportTitle,
	_alvu_MainFileSelect,
	_alvu_FirstLine,
	_alvu_AlarmMemReconfig,
	_alvu_VersionMsg,
	_alvu_SilenceButton,
	_alvu_MgrConnectErr,
	_alvu_PageDownButton,
	_alvu_HideInfo,
	_alvu_AlrptThisWindow,
	_alvu_GuidanceTitle,
	_alvu_ScriptButton,
	_alvu_ModifyFilterTitle,
	_alvu_GuidanceButton,
	_alvu_StartUpFilterTitle,
	_alvu_PumpFault,
	_alvu_MessagesDictionary,
	_alvu_DetailPopup,
	_alvu_DynamicGroupPrint,
	_alvu_NoDisablePriv,
	_alvu_ReportNameLabel,
	_alvu_SocketBlkErr,
	_alvu_HideEvent,
	_alvu_FilterStartupMenu,
	_alvu_CloseButton,
	_alvu_SaveButton,
	_alvu_AckManyDialog,
	_alvu_TextDialog,
	_alvu_HideAck,
	_alvu_BadFldSpec,
	_alvu_AlGrpAckAll,
	_alvu_ThisWindow,
	_alvu_BadDateTimeStr,
	_alvu_ScriptTitle,
	_alvu_AlGrpDisableGrp,
	_alvu_TextItem,
	_alvu_RecentAlarmTitle,
	_alvu_PopupStrings,
	_alvu_MainContainer,
	_alvu_ItemsRemainingLabel,
	_alvu_ClearMenuTitle,
	_alvu_AlGrpGuidance,
	_alvu_EventHistoryTitle,
	_alvu_MgrSocketErr,
	_alvu_OpenReportError,
	_alvu_GreenSlider,
	_alvu_EnableGrpTitle,
	_alvu_InfoTagContainer,
	_alvu_AlGrpEnableGrp,
	_alvu_AlsysThisWindow,
	_alvu_AlarmsAfterLabel,
	_alvu_ContinueReadDataTitle,
	_alvu_AlHistEntireWindow,
	_alvu_CommentDialogTitle,
	_alvu_FileNameTitle,
	_alvu_InitFail,
	_alvu_MainMajorButton,
	_alvu_SummaryButton,
	_alvu_MainViewAlWindow,
	_alvu_NameContainer,
	_alvu_MainMenu,
	_alvu_DatabaseOpenErr,
	_alvu_AckAllMenuTitle,
	_alvu_BadGrpNameErr,
	_alvu_MainSetupMenu,
	_alvu_AlrptSaveRptAs,
	_alvu_MainCtrlEnGrp,
	_alvu_MainFileEdit,
	_alvu_ControlTitle,
	_alvu_BadSensorContainer,
	_alvu_EntireReport,
	_alvu_MainMinorButton,
	_alvu_SeverityContainer,
	_alvu_MainViewOpTrack,
	_alvu_InfoFilterName,
	_alvu_AlarmDialogButtonContainer,
	_alvu_SystemTagContainer,
	_alvu_AlEvntModFilter,
	_alvu_AlWndwThisWindow,
	_alvu_AlrptEntireReport,
	_alvu_AlsumThisWindow,
	_alvu_LocalHostErr,
	_alvu_AlarmSummaryTitle,
	_alvu_ModifyFilter,
	_alvu_OperatorName,
	_alvu_MainControlMenu,
	_alvu_MainSetupColors,
	_alvu_AcceptButton,
	_alvu_ListView,
	_alvu_AlGrpDisplay,
	_alvu_MainCtrlEnPt,
	_alvu_FilterMenuTitle,
	_alvu_MainSetupPopAl,
	_alvu_GrpWinPrtTitle,
	_alvu_AlarmEventPrintTitle,
	_alvu_BadTxtStringErr,
	_alvu_SummaryFilterName,
	_alvu_TextView,
	_alvu_MainSummaryButton,
	_alvu_BadDictEntryErr,
	_alvu_FilterDialog,
	_alvu_AlGrpAckPage,
	_alvu_Clear,
	_alvu_SelectBaseFilterTitle,
	_alvu_ReportName,
	_alvu_DisplayTitle,
	_alvu_AlEvntEntireWindow,
	_alvu_DefaultFilterTitle,
	_alvu_SetupFileWriteErr,
	_alvu_AlarmUpdateMsg,
	_alvu_AlGrpThisWindow,
	_alvu_MgrRecvErr,
	_alvu_MainInfoButton,
	_alvu_MainSetupDef,
	_alvu_LogFileTitle,
	_alvu_ButtonContainer,
	_alvu_AlTrkModFilter,
	_alvu_NothingEntered,
	_alvu_IOFail,
	_alvu_BrowseButton,
	_alvu_GroupContainer,
	_alvu_MainSetupAlWin,
	_alvu_AckPrivErr,
	_alvu_GreenLabel,
	_alvu_EntireHistTitle,
	_alvu_OkButton,
	_alvu_DisplayButton,
	_alvu_HideUnAck,
	_alvu_AlarmWindowPrintTitle,
	_alvu_AlrptModFilter,
	_alvu_AlarmDialog,
	_alvu_PrintMenuTitle,
	_alvu_FilterGroup,
	_alvu_MenuTagsDictionary,
	_alvu_ComboDialog,
	_alvu_AlWndwClear,
	_alvu_NormalButton,
	_alvu_MainViewMenu,
	_alvu_MainSilenceButton,
	_alvu_BrowseReportsTitle,
	_alvu_Silence,
	_alvu_BadSensor,
	_alvu_FilterName,
	_alvu_AlsysModFilter,
	_alvu_ToManyFldsGrpErr,
	_alvu_EntireGroup,
	_alvuCOUNT
};


#define alvu_SelectDeleteFilterTitle		 _alvuPredefs[_alvu_SelectDeleteFilterTitle]
#define alvu_AlGrpDisablePt		 _alvuPredefs[_alvu_AlGrpDisablePt]
#define alvu_BlueLabel		 _alvuPredefs[_alvu_BlueLabel]
#define alvu_EnablePtTitle		 _alvuPredefs[_alvu_EnablePtTitle]
#define alvu_DisabledContainer		 _alvuPredefs[_alvu_DisabledContainer]
#define alvu_ExpandViewTitle		 _alvuPredefs[_alvu_ExpandViewTitle]
#define alvu_OpTrackOpenErr		 _alvuPredefs[_alvu_OpTrackOpenErr]
#define alvu_ValveFaultContainer		 _alvuPredefs[_alvu_ValveFaultContainer]
#define alvu_AlTrkEntireWindow		 _alvuPredefs[_alvu_AlTrkEntireWindow]
#define alvu_AlWndwEntireWindow		 _alvuPredefs[_alvu_AlWndwEntireWindow]
#define alvu_AlTrkThisWindow		 _alvuPredefs[_alvu_AlTrkThisWindow]
#define alvu_PopupDialog		 _alvuPredefs[_alvu_PopupDialog]
#define alvu_FilterNameNeeded		 _alvuPredefs[_alvu_FilterNameNeeded]
#define alvu_RefreshCancelledMsg		 _alvuPredefs[_alvu_RefreshCancelledMsg]
#define alvu_DisplayEntry		 _alvuPredefs[_alvu_DisplayEntry]
#define alvu_SelectionLabel		 _alvuPredefs[_alvu_SelectionLabel]
#define alvu_EntireSummary		 _alvuPredefs[_alvu_EntireSummary]
#define alvu_MainFileDelete		 _alvuPredefs[_alvu_MainFileDelete]
#define alvu_GreenValue		 _alvuPredefs[_alvu_GreenValue]
#define alvu_PrintFinished		 _alvuPredefs[_alvu_PrintFinished]
#define alvu_MainViewSysHistory		 _alvuPredefs[_alvu_MainViewSysHistory]
#define alvu_DisableGrpTitle		 _alvuPredefs[_alvu_DisableGrpTitle]
#define alvu_DefineNewFilterTitle		 _alvuPredefs[_alvu_DefineNewFilterTitle]
#define alvu_InitOperPrivErr		 _alvuPredefs[_alvu_InitOperPrivErr]
#define alvu_ColorChooserDialog		 _alvuPredefs[_alvu_ColorChooserDialog]
#define alvu_OneLineDownButton		 _alvuPredefs[_alvu_OneLineDownButton]
#define alvu_EnablePrivErr		 _alvuPredefs[_alvu_EnablePrivErr]
#define alvu_MainDialog		 _alvuPredefs[_alvu_MainDialog]
#define alvu_AckContainer		 _alvuPredefs[_alvu_AckContainer]
#define alvu_SetupFileReadErr		 _alvuPredefs[_alvu_SetupFileReadErr]
#define alvu_ReportDialog		 _alvuPredefs[_alvu_ReportDialog]
#define alvu_GroupLabel		 _alvuPredefs[_alvu_GroupLabel]
#define alvu_UnkFldNameErr		 _alvuPredefs[_alvu_UnkFldNameErr]
#define alvu_ComboBox		 _alvuPredefs[_alvu_ComboBox]
#define alvu_BlankContainer		 _alvuPredefs[_alvu_BlankContainer]
#define alvu_AlHistThisWindow		 _alvuPredefs[_alvu_AlHistThisWindow]
#define alvu_ShmemFormatErr		 _alvuPredefs[_alvu_ShmemFormatErr]
#define alvu_IllegalCmdLineArg		 _alvuPredefs[_alvu_IllegalCmdLineArg]
#define alvu_SelectEditFilterTitle		 _alvuPredefs[_alvu_SelectEditFilterTitle]
#define alvu_RedSlider		 _alvuPredefs[_alvu_RedSlider]
#define alvu_DynamicGroupTitle		 _alvuPredefs[_alvu_DynamicGroupTitle]
#define alvu_CommentView		 _alvuPredefs[_alvu_CommentView]
#define alvu_EditExistFilterTitle		 _alvuPredefs[_alvu_EditExistFilterTitle]
#define alvu_InfoTag		 _alvuPredefs[_alvu_InfoTag]
#define alvu_alvuFilterDlg		 _alvuPredefs[_alvu_alvuFilterDlg]
#define alvu_MainFileMenu		 _alvuPredefs[_alvu_MainFileMenu]
#define alvu_EventButton		 _alvuPredefs[_alvu_EventButton]
#define alvu_MainFilePrint		 _alvuPredefs[_alvu_MainFilePrint]
#define alvu_MajorFilterName		 _alvuPredefs[_alvu_MajorFilterName]
#define alvu_SetupVersionErr		 _alvuPredefs[_alvu_SetupVersionErr]
#define alvu_FilterStartupContainer		 _alvuPredefs[_alvu_FilterStartupContainer]
#define alvu_AlarmSummaryPrint		 _alvuPredefs[_alvu_AlarmSummaryPrint]
#define alvu_SetupFileOpenErr		 _alvuPredefs[_alvu_SetupFileOpenErr]
#define alvu_AlsumAckPage		 _alvuPredefs[_alvu_AlsumAckPage]
#define alvu_CautionNotice		 _alvuPredefs[_alvu_CautionNotice]
#define alvu_AlGrpEnablePt		 _alvuPredefs[_alvu_AlGrpEnablePt]
#define alvu_AckAll		 _alvuPredefs[_alvu_AckAll]
#define alvu_AlarmsAfter		 _alvuPredefs[_alvu_AlarmsAfter]
#define alvu_MenuBar		 _alvuPredefs[_alvu_MenuBar]
#define alvu_BlueSlider		 _alvuPredefs[_alvu_BlueSlider]
#define alvu_MainFileExit		 _alvuPredefs[_alvu_MainFileExit]
#define alvu_AlsumSilence		 _alvuPredefs[_alvu_AlsumSilence]
#define alvu_MgrConnClosed		 _alvuPredefs[_alvu_MgrConnClosed]
#define alvu_ShmemAllocFail		 _alvuPredefs[_alvu_ShmemAllocFail]
#define alvu_AlarmGroupButton		 _alvuPredefs[_alvu_AlarmGroupButton]
#define alvu_AlsumModFilter		 _alvuPredefs[_alvu_AlsumModFilter]
#define alvu_OpenButton		 _alvuPredefs[_alvu_OpenButton]
#define alvu_CancelDataButtonContainer		 _alvuPredefs[_alvu_CancelDataButtonContainer]
#define alvu_TopButton		 _alvuPredefs[_alvu_TopButton]
#define alvu_IOFailContainer		 _alvuPredefs[_alvu_IOFailContainer]
#define alvu_FilterStartupLabel		 _alvuPredefs[_alvu_FilterStartupLabel]
#define alvu_MainCtrlDisPt		 _alvuPredefs[_alvu_MainCtrlDisPt]
#define alvu_CommentDialog		 _alvuPredefs[_alvu_CommentDialog]
#define alvu_DeleteButton		 _alvuPredefs[_alvu_DeleteButton]
#define alvu_AlHistModFilter		 _alvuPredefs[_alvu_AlHistModFilter]
#define alvu_MainViewEvHist		 _alvuPredefs[_alvu_MainViewEvHist]
#define alvu_StartupGroupNotExist		 _alvuPredefs[_alvu_StartupGroupNotExist]
#define alvu_ProgressDialog		 _alvuPredefs[_alvu_ProgressDialog]
#define alvu_MainViewAlHist		 _alvuPredefs[_alvu_MainViewAlHist]
#define alvu_AlmPtsPrtTitle		 _alvuPredefs[_alvu_AlmPtsPrtTitle]
#define alvu_StartReadDataTitle		 _alvuPredefs[_alvu_StartReadDataTitle]
#define alvu_AboutTitle		 _alvuPredefs[_alvu_AboutTitle]
#define alvu_DisablePtTitle		 _alvuPredefs[_alvu_DisablePtTitle]
#define alvu_NothingToPrint		 _alvuPredefs[_alvu_NothingToPrint]
#define alvu_ValidButton		 _alvuPredefs[_alvu_ValidButton]
#define alvu_DisablePrivErr		 _alvuPredefs[_alvu_DisablePrivErr]
#define alvu_MinorButton		 _alvuPredefs[_alvu_MinorButton]
#define alvu_AlGrpEntireWindow		 _alvuPredefs[_alvu_AlGrpEntireWindow]
#define alvu_UnkMgrMsg		 _alvuPredefs[_alvu_UnkMgrMsg]
#define alvu_FilterStartup		 _alvuPredefs[_alvu_FilterStartup]
#define alvu_NoPrinterMsg		 _alvuPredefs[_alvu_NoPrinterMsg]
#define alvu_OneLineDialog		 _alvuPredefs[_alvu_OneLineDialog]
#define alvu_AlarmSummaryPrintTitle		 _alvuPredefs[_alvu_AlarmSummaryPrintTitle]
#define alvu_AlsumAckAll		 _alvuPredefs[_alvu_AlsumAckAll]
#define alvu_MainViewReports		 _alvuPredefs[_alvu_MainViewReports]
#define alvu_AlarmEventTitle		 _alvuPredefs[_alvu_AlarmEventTitle]
#define alvu_EntireWindow		 _alvuPredefs[_alvu_EntireWindow]
#define alvu_SilenceMenuTitle		 _alvuPredefs[_alvu_SilenceMenuTitle]
#define alvu_ShowAll		 _alvuPredefs[_alvu_ShowAll]
#define alvu_NoMemGrpNameErr		 _alvuPredefs[_alvu_NoMemGrpNameErr]
#define alvu_AlarmDialogScrollBarContainer		 _alvuPredefs[_alvu_AlarmDialogScrollBarContainer]
#define alvu_BlueValue		 _alvuPredefs[_alvu_BlueValue]
#define alvu_AckDeletedMsg		 _alvuPredefs[_alvu_AckDeletedMsg]
#define alvu_PrintNameTitle		 _alvuPredefs[_alvu_PrintNameTitle]
#define alvu_TempPrtFileErr		 _alvuPredefs[_alvu_TempPrtFileErr]
#define alvu_AlarmWindowTitle		 _alvuPredefs[_alvu_AlarmWindowTitle]
#define alvu_PauseButton		 _alvuPredefs[_alvu_PauseButton]
#define alvu_SystemTag		 _alvuPredefs[_alvu_SystemTag]
#define alvu_ContainerDictionary		 _alvuPredefs[_alvu_ContainerDictionary]
#define alvu_GrpUnixPrtTitle		 _alvuPredefs[_alvu_GrpUnixPrtTitle]
#define alvu_GroupMenuTitle		 _alvuPredefs[_alvu_GroupMenuTitle]
#define alvu_InfoNotice		 _alvuPredefs[_alvu_InfoNotice]
#define alvu_ManualContainer		 _alvuPredefs[_alvu_ManualContainer]
#define alvu_ValveFault		 _alvuPredefs[_alvu_ValveFault]
#define alvu_ShmgetFail		 _alvuPredefs[_alvu_ShmgetFail]
#define alvu_NoEnablePriv		 _alvuPredefs[_alvu_NoEnablePriv]
#define alvu_AlarmHistoryPrintTitle		 _alvuPredefs[_alvu_AlarmHistoryPrintTitle]
#define alvu_AlEvntThisWindow		 _alvuPredefs[_alvu_AlEvntThisWindow]
#define alvu_CancelDataButton		 _alvuPredefs[_alvu_CancelDataButton]
#define alvu_InfoButton		 _alvuPredefs[_alvu_InfoButton]
#define alvu_AlarmTrackTitle		 _alvuPredefs[_alvu_AlarmTrackTitle]
#define alvu_OKButton		 _alvuPredefs[_alvu_OKButton]
#define alvu_WhileReadingMsg		 _alvuPredefs[_alvu_WhileReadingMsg]
#define alvu_AlarmDialogScrollBar		 _alvuPredefs[_alvu_AlarmDialogScrollBar]
#define alvu_MinorFilterName		 _alvuPredefs[_alvu_MinorFilterName]
#define alvu_ShmdtFail		 _alvuPredefs[_alvu_ShmdtFail]
#define alvu_MainSetupSave		 _alvuPredefs[_alvu_MainSetupSave]
#define alvu_CommentPopup		 _alvuPredefs[_alvu_CommentPopup]
#define alvu_BottomButton		 _alvuPredefs[_alvu_BottomButton]
#define alvu_MainSetupPrt		 _alvuPredefs[_alvu_MainSetupPrt]
#define alvu_NoAckPrivMsg		 _alvuPredefs[_alvu_NoAckPrivMsg]
#define alvu_MainViewAlSum		 _alvuPredefs[_alvu_MainViewAlSum]
#define alvu_RedLabel		 _alvuPredefs[_alvu_RedLabel]
#define alvu_MainCtrlDisGrp		 _alvuPredefs[_alvu_MainCtrlDisGrp]
#define alvu_ExitButton		 _alvuPredefs[_alvu_ExitButton]
#define alvu_DictOverflowErr		 _alvuPredefs[_alvu_DictOverflowErr]
#define alvu_OneLineUpButton		 _alvuPredefs[_alvu_OneLineUpButton]
#define alvu_ShmatFail		 _alvuPredefs[_alvu_ShmatFail]
#define alvu_AckPage		 _alvuPredefs[_alvu_AckPage]
#define alvu_AlGrpScript		 _alvuPredefs[_alvu_AlGrpScript]
#define alvu_HideMinor		 _alvuPredefs[_alvu_HideMinor]
#define alvu_AlarmHistoryTitle		 _alvuPredefs[_alvu_AlarmHistoryTitle]
#define alvu_MainVuDialog		 _alvuPredefs[_alvu_MainVuDialog]
#define alvu_ShowAlarm		 _alvuPredefs[_alvu_ShowAlarm]
#define alvu_InitPrivErr		 _alvuPredefs[_alvu_InitPrivErr]
#define alvu_AlarmColorsLabel		 _alvuPredefs[_alvu_AlarmColorsLabel]
#define alvu_SelectStartupFilterTitle		 _alvuPredefs[_alvu_SelectStartupFilterTitle]
#define alvu_PumpFaultContainer		 _alvuPredefs[_alvu_PumpFaultContainer]
#define alvu_GroupNotExistMsg		 _alvuPredefs[_alvu_GroupNotExistMsg]
#define alvu_MajorButton		 _alvuPredefs[_alvu_MajorButton]
#define alvu_SecondLine		 _alvuPredefs[_alvu_SecondLine]
#define alvu_Manual		 _alvuPredefs[_alvu_Manual]
#define alvu_OnePageUpButton		 _alvuPredefs[_alvu_OnePageUpButton]
#define alvu_ItemsText		 _alvuPredefs[_alvu_ItemsText]
#define alvu_MainFileNew		 _alvuPredefs[_alvu_MainFileNew]
#define alvu_MainExitButton		 _alvuPredefs[_alvu_MainExitButton]
#define alvu_SaveRptAs		 _alvuPredefs[_alvu_SaveRptAs]
#define alvu_Disabled		 _alvuPredefs[_alvu_Disabled]
#define alvu_CancelButton		 _alvuPredefs[_alvu_CancelButton]
#define alvu_AlsysEntireSummary		 _alvuPredefs[_alvu_AlsysEntireSummary]
#define alvu_ItemCountMsg		 _alvuPredefs[_alvu_ItemCountMsg]
#define alvu_OperatorLabel		 _alvuPredefs[_alvu_OperatorLabel]
#define alvu_SendUnavailMsg		 _alvuPredefs[_alvu_SendUnavailMsg]
#define alvu_UpButton		 _alvuPredefs[_alvu_UpButton]
#define alvu_ItemCount		 _alvuPredefs[_alvu_ItemCount]
#define alvu_BrowseGroupTitle		 _alvuPredefs[_alvu_BrowseGroupTitle]
#define alvu_DisplayManyMsg		 _alvuPredefs[_alvu_DisplayManyMsg]
#define alvu_OffscanContainer		 _alvuPredefs[_alvu_OffscanContainer]
#define alvu_EntireHistory		 _alvuPredefs[_alvu_EntireHistory]
#define alvu_MainViewGroup		 _alvuPredefs[_alvu_MainViewGroup]
#define alvu_AlarmSystemTitle		 _alvuPredefs[_alvu_AlarmSystemTitle]
#define alvu_FilterNameContainer		 _alvuPredefs[_alvu_FilterNameContainer]
#define alvu_FilterNameLabel		 _alvuPredefs[_alvu_FilterNameLabel]
#define alvu_LegalCmdLineArgs		 _alvuPredefs[_alvu_LegalCmdLineArgs]
#define alvu_StartupContainer		 _alvuPredefs[_alvu_StartupContainer]
#define alvu_InitFailContainer		 _alvuPredefs[_alvu_InitFailContainer]
#define alvu_NoGrpSelectErr		 _alvuPredefs[_alvu_NoGrpSelectErr]
#define alvu_EntireGrpTitle		 _alvuPredefs[_alvu_EntireGrpTitle]
#define alvu_RedValue		 _alvuPredefs[_alvu_RedValue]
#define alvu_AlsumEntireWindow		 _alvuPredefs[_alvu_AlsumEntireWindow]
#define alvu_NotSetupFileErr		 _alvuPredefs[_alvu_NotSetupFileErr]
#define alvu_BadFldSpecZeroErr		 _alvuPredefs[_alvu_BadFldSpecZeroErr]
#define alvu_MainSetupStFilter		 _alvuPredefs[_alvu_MainSetupStFilter]
#define alvu_MainHelpMenu		 _alvuPredefs[_alvu_MainHelpMenu]
#define alvu_TitlesDictionary		 _alvuPredefs[_alvu_TitlesDictionary]
#define alvu_AlarmsBefore		 _alvuPredefs[_alvu_AlarmsBefore]
#define alvu_HideMajor		 _alvuPredefs[_alvu_HideMajor]
#define alvu_AlarmsBeforeLabel		 _alvuPredefs[_alvu_AlarmsBeforeLabel]
#define alvu_OffScan		 _alvuPredefs[_alvu_OffScan]
#define alvu_AlGrpModFilter		 _alvuPredefs[_alvu_AlGrpModFilter]
#define alvu_AlarmReportTitle		 _alvuPredefs[_alvu_AlarmReportTitle]
#define alvu_MainFileSelect		 _alvuPredefs[_alvu_MainFileSelect]
#define alvu_FirstLine		 _alvuPredefs[_alvu_FirstLine]
#define alvu_AlarmMemReconfig		 _alvuPredefs[_alvu_AlarmMemReconfig]
#define alvu_VersionMsg		 _alvuPredefs[_alvu_VersionMsg]
#define alvu_SilenceButton		 _alvuPredefs[_alvu_SilenceButton]
#define alvu_MgrConnectErr		 _alvuPredefs[_alvu_MgrConnectErr]
#define alvu_PageDownButton		 _alvuPredefs[_alvu_PageDownButton]
#define alvu_HideInfo		 _alvuPredefs[_alvu_HideInfo]
#define alvu_AlrptThisWindow		 _alvuPredefs[_alvu_AlrptThisWindow]
#define alvu_GuidanceTitle		 _alvuPredefs[_alvu_GuidanceTitle]
#define alvu_ScriptButton		 _alvuPredefs[_alvu_ScriptButton]
#define alvu_ModifyFilterTitle		 _alvuPredefs[_alvu_ModifyFilterTitle]
#define alvu_GuidanceButton		 _alvuPredefs[_alvu_GuidanceButton]
#define alvu_StartUpFilterTitle		 _alvuPredefs[_alvu_StartUpFilterTitle]
#define alvu_PumpFault		 _alvuPredefs[_alvu_PumpFault]
#define alvu_MessagesDictionary		 _alvuPredefs[_alvu_MessagesDictionary]
#define alvu_DetailPopup		 _alvuPredefs[_alvu_DetailPopup]
#define alvu_DynamicGroupPrint		 _alvuPredefs[_alvu_DynamicGroupPrint]
#define alvu_NoDisablePriv		 _alvuPredefs[_alvu_NoDisablePriv]
#define alvu_ReportNameLabel		 _alvuPredefs[_alvu_ReportNameLabel]
#define alvu_SocketBlkErr		 _alvuPredefs[_alvu_SocketBlkErr]
#define alvu_HideEvent		 _alvuPredefs[_alvu_HideEvent]
#define alvu_FilterStartupMenu		 _alvuPredefs[_alvu_FilterStartupMenu]
#define alvu_CloseButton		 _alvuPredefs[_alvu_CloseButton]
#define alvu_SaveButton		 _alvuPredefs[_alvu_SaveButton]
#define alvu_AckManyDialog		 _alvuPredefs[_alvu_AckManyDialog]
#define alvu_TextDialog		 _alvuPredefs[_alvu_TextDialog]
#define alvu_HideAck		 _alvuPredefs[_alvu_HideAck]
#define alvu_BadFldSpec		 _alvuPredefs[_alvu_BadFldSpec]
#define alvu_AlGrpAckAll		 _alvuPredefs[_alvu_AlGrpAckAll]
#define alvu_ThisWindow		 _alvuPredefs[_alvu_ThisWindow]
#define alvu_BadDateTimeStr		 _alvuPredefs[_alvu_BadDateTimeStr]
#define alvu_ScriptTitle		 _alvuPredefs[_alvu_ScriptTitle]
#define alvu_AlGrpDisableGrp		 _alvuPredefs[_alvu_AlGrpDisableGrp]
#define alvu_TextItem		 _alvuPredefs[_alvu_TextItem]
#define alvu_RecentAlarmTitle		 _alvuPredefs[_alvu_RecentAlarmTitle]
#define alvu_PopupStrings		 _alvuPredefs[_alvu_PopupStrings]
#define alvu_MainContainer		 _alvuPredefs[_alvu_MainContainer]
#define alvu_ItemsRemainingLabel		 _alvuPredefs[_alvu_ItemsRemainingLabel]
#define alvu_ClearMenuTitle		 _alvuPredefs[_alvu_ClearMenuTitle]
#define alvu_AlGrpGuidance		 _alvuPredefs[_alvu_AlGrpGuidance]
#define alvu_EventHistoryTitle		 _alvuPredefs[_alvu_EventHistoryTitle]
#define alvu_MgrSocketErr		 _alvuPredefs[_alvu_MgrSocketErr]
#define alvu_OpenReportError		 _alvuPredefs[_alvu_OpenReportError]
#define alvu_GreenSlider		 _alvuPredefs[_alvu_GreenSlider]
#define alvu_EnableGrpTitle		 _alvuPredefs[_alvu_EnableGrpTitle]
#define alvu_InfoTagContainer		 _alvuPredefs[_alvu_InfoTagContainer]
#define alvu_AlGrpEnableGrp		 _alvuPredefs[_alvu_AlGrpEnableGrp]
#define alvu_AlsysThisWindow		 _alvuPredefs[_alvu_AlsysThisWindow]
#define alvu_AlarmsAfterLabel		 _alvuPredefs[_alvu_AlarmsAfterLabel]
#define alvu_ContinueReadDataTitle		 _alvuPredefs[_alvu_ContinueReadDataTitle]
#define alvu_AlHistEntireWindow		 _alvuPredefs[_alvu_AlHistEntireWindow]
#define alvu_CommentDialogTitle		 _alvuPredefs[_alvu_CommentDialogTitle]
#define alvu_FileNameTitle		 _alvuPredefs[_alvu_FileNameTitle]
#define alvu_InitFail		 _alvuPredefs[_alvu_InitFail]
#define alvu_MainMajorButton		 _alvuPredefs[_alvu_MainMajorButton]
#define alvu_SummaryButton		 _alvuPredefs[_alvu_SummaryButton]
#define alvu_MainViewAlWindow		 _alvuPredefs[_alvu_MainViewAlWindow]
#define alvu_NameContainer		 _alvuPredefs[_alvu_NameContainer]
#define alvu_MainMenu		 _alvuPredefs[_alvu_MainMenu]
#define alvu_DatabaseOpenErr		 _alvuPredefs[_alvu_DatabaseOpenErr]
#define alvu_AckAllMenuTitle		 _alvuPredefs[_alvu_AckAllMenuTitle]
#define alvu_BadGrpNameErr		 _alvuPredefs[_alvu_BadGrpNameErr]
#define alvu_MainSetupMenu		 _alvuPredefs[_alvu_MainSetupMenu]
#define alvu_AlrptSaveRptAs		 _alvuPredefs[_alvu_AlrptSaveRptAs]
#define alvu_MainCtrlEnGrp		 _alvuPredefs[_alvu_MainCtrlEnGrp]
#define alvu_MainFileEdit		 _alvuPredefs[_alvu_MainFileEdit]
#define alvu_ControlTitle		 _alvuPredefs[_alvu_ControlTitle]
#define alvu_BadSensorContainer		 _alvuPredefs[_alvu_BadSensorContainer]
#define alvu_EntireReport		 _alvuPredefs[_alvu_EntireReport]
#define alvu_MainMinorButton		 _alvuPredefs[_alvu_MainMinorButton]
#define alvu_SeverityContainer		 _alvuPredefs[_alvu_SeverityContainer]
#define alvu_MainViewOpTrack		 _alvuPredefs[_alvu_MainViewOpTrack]
#define alvu_InfoFilterName		 _alvuPredefs[_alvu_InfoFilterName]
#define alvu_AlarmDialogButtonContainer		 _alvuPredefs[_alvu_AlarmDialogButtonContainer]
#define alvu_SystemTagContainer		 _alvuPredefs[_alvu_SystemTagContainer]
#define alvu_AlEvntModFilter		 _alvuPredefs[_alvu_AlEvntModFilter]
#define alvu_AlWndwThisWindow		 _alvuPredefs[_alvu_AlWndwThisWindow]
#define alvu_AlrptEntireReport		 _alvuPredefs[_alvu_AlrptEntireReport]
#define alvu_AlsumThisWindow		 _alvuPredefs[_alvu_AlsumThisWindow]
#define alvu_LocalHostErr		 _alvuPredefs[_alvu_LocalHostErr]
#define alvu_AlarmSummaryTitle		 _alvuPredefs[_alvu_AlarmSummaryTitle]
#define alvu_ModifyFilter		 _alvuPredefs[_alvu_ModifyFilter]
#define alvu_OperatorName		 _alvuPredefs[_alvu_OperatorName]
#define alvu_MainControlMenu		 _alvuPredefs[_alvu_MainControlMenu]
#define alvu_MainSetupColors		 _alvuPredefs[_alvu_MainSetupColors]
#define alvu_AcceptButton		 _alvuPredefs[_alvu_AcceptButton]
#define alvu_ListView		 _alvuPredefs[_alvu_ListView]
#define alvu_AlGrpDisplay		 _alvuPredefs[_alvu_AlGrpDisplay]
#define alvu_MainCtrlEnPt		 _alvuPredefs[_alvu_MainCtrlEnPt]
#define alvu_FilterMenuTitle		 _alvuPredefs[_alvu_FilterMenuTitle]
#define alvu_MainSetupPopAl		 _alvuPredefs[_alvu_MainSetupPopAl]
#define alvu_GrpWinPrtTitle		 _alvuPredefs[_alvu_GrpWinPrtTitle]
#define alvu_AlarmEventPrintTitle		 _alvuPredefs[_alvu_AlarmEventPrintTitle]
#define alvu_BadTxtStringErr		 _alvuPredefs[_alvu_BadTxtStringErr]
#define alvu_SummaryFilterName		 _alvuPredefs[_alvu_SummaryFilterName]
#define alvu_TextView		 _alvuPredefs[_alvu_TextView]
#define alvu_MainSummaryButton		 _alvuPredefs[_alvu_MainSummaryButton]
#define alvu_BadDictEntryErr		 _alvuPredefs[_alvu_BadDictEntryErr]
#define alvu_FilterDialog		 _alvuPredefs[_alvu_FilterDialog]
#define alvu_AlGrpAckPage		 _alvuPredefs[_alvu_AlGrpAckPage]
#define alvu_Clear		 _alvuPredefs[_alvu_Clear]
#define alvu_SelectBaseFilterTitle		 _alvuPredefs[_alvu_SelectBaseFilterTitle]
#define alvu_ReportName		 _alvuPredefs[_alvu_ReportName]
#define alvu_DisplayTitle		 _alvuPredefs[_alvu_DisplayTitle]
#define alvu_AlEvntEntireWindow		 _alvuPredefs[_alvu_AlEvntEntireWindow]
#define alvu_DefaultFilterTitle		 _alvuPredefs[_alvu_DefaultFilterTitle]
#define alvu_SetupFileWriteErr		 _alvuPredefs[_alvu_SetupFileWriteErr]
#define alvu_AlarmUpdateMsg		 _alvuPredefs[_alvu_AlarmUpdateMsg]
#define alvu_AlGrpThisWindow		 _alvuPredefs[_alvu_AlGrpThisWindow]
#define alvu_MgrRecvErr		 _alvuPredefs[_alvu_MgrRecvErr]
#define alvu_MainInfoButton		 _alvuPredefs[_alvu_MainInfoButton]
#define alvu_MainSetupDef		 _alvuPredefs[_alvu_MainSetupDef]
#define alvu_LogFileTitle		 _alvuPredefs[_alvu_LogFileTitle]
#define alvu_ButtonContainer		 _alvuPredefs[_alvu_ButtonContainer]
#define alvu_AlTrkModFilter		 _alvuPredefs[_alvu_AlTrkModFilter]
#define alvu_NothingEntered		 _alvuPredefs[_alvu_NothingEntered]
#define alvu_IOFail		 _alvuPredefs[_alvu_IOFail]
#define alvu_BrowseButton		 _alvuPredefs[_alvu_BrowseButton]
#define alvu_GroupContainer		 _alvuPredefs[_alvu_GroupContainer]
#define alvu_MainSetupAlWin		 _alvuPredefs[_alvu_MainSetupAlWin]
#define alvu_AckPrivErr		 _alvuPredefs[_alvu_AckPrivErr]
#define alvu_GreenLabel		 _alvuPredefs[_alvu_GreenLabel]
#define alvu_EntireHistTitle		 _alvuPredefs[_alvu_EntireHistTitle]
#define alvu_OkButton		 _alvuPredefs[_alvu_OkButton]
#define alvu_DisplayButton		 _alvuPredefs[_alvu_DisplayButton]
#define alvu_HideUnAck		 _alvuPredefs[_alvu_HideUnAck]
#define alvu_AlarmWindowPrintTitle		 _alvuPredefs[_alvu_AlarmWindowPrintTitle]
#define alvu_AlrptModFilter		 _alvuPredefs[_alvu_AlrptModFilter]
#define alvu_AlarmDialog		 _alvuPredefs[_alvu_AlarmDialog]
#define alvu_PrintMenuTitle		 _alvuPredefs[_alvu_PrintMenuTitle]
#define alvu_FilterGroup		 _alvuPredefs[_alvu_FilterGroup]
#define alvu_MenuTagsDictionary		 _alvuPredefs[_alvu_MenuTagsDictionary]
#define alvu_ComboDialog		 _alvuPredefs[_alvu_ComboDialog]
#define alvu_AlWndwClear		 _alvuPredefs[_alvu_AlWndwClear]
#define alvu_NormalButton		 _alvuPredefs[_alvu_NormalButton]
#define alvu_MainViewMenu		 _alvuPredefs[_alvu_MainViewMenu]
#define alvu_MainSilenceButton		 _alvuPredefs[_alvu_MainSilenceButton]
#define alvu_BrowseReportsTitle		 _alvuPredefs[_alvu_BrowseReportsTitle]
#define alvu_Silence		 _alvuPredefs[_alvu_Silence]
#define alvu_BadSensor		 _alvuPredefs[_alvu_BadSensor]
#define alvu_FilterName		 _alvuPredefs[_alvu_FilterName]
#define alvu_AlsysModFilter		 _alvuPredefs[_alvu_AlsysModFilter]
#define alvu_ToManyFldsGrpErr		 _alvuPredefs[_alvu_ToManyFldsGrpErr]
#define alvu_EntireGroup		 _alvuPredefs[_alvu_EntireGroup]

/*
 * * * * * * * * * PRIVATE EXTERNAL VARIABLES * * * * * * * * * *
 */

extern const vname	 *_alvuPredefs[];

/*
 * * * * * * * * * FUNCTION PROTOTYPES * * * * * * * * * *
 */

void alvuInternNames( void ); 


vportEND_CPLUSPLUS_EXTERN_C

#endif
