/*accum.h,v 1.1.1.1 1999/08/03 14:42:13 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/*
	Field definition header file for accum.dbf
*/

FIELD4INFO	accumFieldInfo[] = 
	{
	{"NAME",	'C',	28,	0},
	{"PROC_INPUT",	'L',	1,	0},
	{"MAXSEVERTY",	'L',	1,	0},
	{"REFERENCE",	'C',	28,	0},
	{"ADJSLOPE",	'N',	11,	4},
	{"ADJOFFSET",	'N',	11,	4},
	{"EGUTAG",	'C',	16,	0},
	{"DISPHIGH",	'N',	11,	4},
	{"DISPLOW",	'N',	11,	4},
	{"PRECISION",	'N',	1,	0},
	{"USEZRODATA",	'L',	1,	0},
	{"ZEROTHRESH",	'N',	11,	4},
	{"FREEZEMODE",	'C',	15,	0},
	{"RESETONFRZ",	'L',	1,	0},
	{"FREEZEUNIT",	'C',	7,	0},
	{"FREEZERATE",	'N',	2,	0},
	{"FRSTFRZHR",	'N',	2,	0},
	{"FRSTFRZMIN",	'N',	2,	0},
	{"FRZINSPEC",	'C',	28,	0},
	{"PROCFZSPEC",	'L',	1,	0},
	{"MAXSFZSPEC",	'L',	1,	0},
	{"FRZINVALUE",	'N',	11,	4},
	{"DELTAMODE",	'L',	1,	0},
	{"DMROLLOVER",	'N',	14,	4},
	{"THRESHOLD",	'N',	11,	4},
	{"THRESHSEV",	'C',	13,	0},
	{"THRESHCNT",	'N',	2,	0},
	{"ALRMFLDSEL",	'C',	8,	0},
	{"HIHILIMIT",	'N',	11,	4},
	{"HIGHLIMIT",	'N',	11,	4},
	{"LOWLIMIT",	'N',	11,	4},
	{"LOLOLIMIT",	'N',	11,	4},
	{"HIHISEVER",	'C',	13,	0},
	{"HIGHSEVER",	'C',	13,	0},
	{"LOWSEVER",	'C',	13,	0},
	{"LOLOSEVER",	'C',	13,	0},
	{"ALMDEADBND",	'N',	11,	4},
	{"MONDEADBND",	'N',	11,	4},
	{"ARCDEADBND",	'N',	11,	4},
	{"FRZSMPNUM",	'N',	15,	4},
	{"FRZTOTAL",	'N',	15,	4},
	{"FRZAVG",	'N',	15,	4},
	{"FRZMIN",	'N',	15,	4},
	{"FRZMAX",	'N',	15,	4},
	{"AVGSLOPE",	'N',	11,	4},
	{"AVGOFFSET",	'N',	11,	4},
	{"AVGEGUTAG",	'C',	16,	0},
	{"AVGPREC",	'N',	1,	0},
	{"AVGDISPHI",	'N',	11,	4},
	{"AVGDISPLO",	'N',	11,	4},
	{"TIMESELECT",	'C',	8,	0},
	{"AUTOMATIC",	'L',	1,	0},
	{"SAVRUNTIME",	'N',	11,	4},
	{"SAVETOT",	'N',	15,	4},
	{"SAVESAMNUM",	'N',	15,	4},
	{"SAVEMIN",	'N',	15,	4},
	{"SAVEMAX",	'N',	15,	4},
	{"SAVEATOT",	'N',	15,	4},
	{"FRZSECS",	'N',	11,	0},
	{"ASYNCRESIN",	'C',	28,	0},
	{"FRZSTAT",	'C',	28,	0},
	{"FRZSEVR",	'C',	13,	0},
	{"FRZRUNSTAT",	'C',	28,	0},
	{"FRZRUNSEVR",	'C',	13,	0},
	{"THRESHERR",	'N',	11, 4},
	{"PROCINP",		'L',	1,0},
	{"MAXSVR",		'L',	1,0},
	{"RESETGRP",	'N',	3,0},
	{"ARSFLAG",		'N',	1,0},
	{"RESETSECS",	'N',	11,0},
	{0,0,0,0}
	};

T4TAG_INFO	accumTagInfo[] = 
	{
	{"NAME",	"NAME",	0,	0,	0},
	{0,0,0,0,0}
	};
