/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/*
	Field definitions header file for ddc.dbf
*/

F4FIELD_INFO	ddcFieldInfo[] = 
	{
	{"NAME",	'C',	28,	0},	/* NAME */
	{"REFERENCE",	'C',	28,	0},	/* OUT	*/
	{"CONSTANT",	'N',	3,	0},	/* CNST	*/
	{"BOARDTYPE",	'C',	25,	0},	/* OUT	*/
	{"STEPINPUT",	'C',	28,	0},	/* SPIN	*/
	{"SIPROCESS",	'L',	1,	0},
	{"SIMAXSEVR",	'L',	1,	0},
	{"DWNCASCADE",	'C',	28,	0},	/* DSCD	*/
	{"PRICASCADE",	'C',	28,	0},	/* PRCD	*/
	{"RESETLINK",	'C',	28,	0},	/* RSLN	*/
	{"RSPROCESS",	'L',	1,	0},
	{"RSMAXSEVR",	'L',	1,	0},
	{"OUTWORD01",	'N',	3,	0},	/* OW01	*/
	{"OUTWORD02",	'N',	3,	0},	/* OW02	*/
	{"OUTWORD03",	'N',	3,	0},	/* OW03	*/
	{"OUTWORD04",	'N',	3,	0},	/* OW04	*/
	{"OUTWORD05",	'N',	3,	0},	/* OW05	*/
	{"OUTWORD06",	'N',	3,	0},	/* OW06	*/
	{"OUTWORD07",	'N',	3,	0},	/* OW07	*/
	{"OUTWORD08",	'N',	3,	0},	/* OW08	*/
	{"OUTWORD09",	'N',	3,	0},	/* OW09	*/
	{"OUTWORD10",	'N',	3,	0},	/* OW10	*/
	{"OUTWORD11",	'N',	3,	0},	/* OW11	*/
	{"OUTWORD12",	'N',	3,	0},	/* OW12	*/
	{"OUTWORD13",	'N',	3,	0},	/* OW13	*/
	{"OUTWORD14",	'N',	3,	0},	/* OW14	*/
	{"OUTWORD15",	'N',	3,	0},	/* OW15	*/
	{"OUTWORD16",	'N',	3,	0},	/* OW16	*/
	{"OUTWORD17",	'N',	3,	0},	/* OW17	*/
	{"OUTWORD18",	'N',	3,	0},	/* OW18	*/
	{"OUTWORD19",	'N',	3,	0},	/* OW19	*/
	{"OUTWORD20",	'N',	3,	0},	/* OW20	*/
	{"OUTWORD21",	'N',	3,	0},	/* OW21	*/
	{"OUTWORD22",	'N',	3,	0},	/* OW22	*/
	{"OUTWORD23",	'N',	3,	0},	/* OW23	*/
	{"OUTWORD24",	'N',	3,	0},	/* OW24	*/
	{"OUTWORD25",	'N',	3,	0},	/* OW25	*/
	{"OUTWORD26",	'N',	3,	0},	/* OW26	*/
	{"OUTWORD27",	'N',	3,	0},	/* OW27	*/
	{"OUTWORD28",	'N',	3,	0},	/* OW28	*/
	{"OUTWORD29",	'N',	3,	0},	/* OW29	*/
	{"OUTWORD30",	'N',	3,	0},	/* OW30	*/
	{"OUTWORD31",	'N',	3,	0},	/* OW31	*/
	{"OUTWORD32",	'N',	3,	0},	/* OW32	*/
	{"OUTTIME01",	'C',	12,	0},	/* TS01	*/
	{"OUTTIME02",	'C',	12,	0},	/* TS02	*/
	{"OUTTIME03",	'C',	12,	0},	/* TS03	*/
	{"OUTTIME04",	'C',	12,	0},	/* TS04	*/
	{"OUTTIME05",	'C',	12,	0},	/* TS05	*/
	{"OUTTIME06",	'C',	12,	0},	/* TS06	*/
	{"OUTTIME07",	'C',	12,	0},	/* TS07	*/
	{"OUTTIME08",	'C',	12,	0},	/* TS08	*/
	{"OUTTIME09",	'C',	12,	0},	/* TS09	*/
	{"OUTTIME10",	'C',	12,	0},	/* TS10	*/
	{"OUTTIME11",	'C',	12,	0},	/* TS11	*/
	{"OUTTIME12",	'C',	12,	0},	/* TS12	*/
	{"OUTTIME13",	'C',	12,	0},	/* TS13	*/
	{"OUTTIME14",	'C',	12,	0},	/* TS14	*/
	{"OUTTIME15",	'C',	12,	0},	/* TS15	*/
	{"OUTTIME16",	'C',	12,	0},	/* TS16	*/
	{"OUTTIME17",	'C',	12,	0},	/* TS17	*/
	{"OUTTIME18",	'C',	12,	0},	/* TS18	*/
	{"OUTTIME19",	'C',	12,	0},	/* TS19	*/
	{"OUTTIME20",	'C',	12,	0},	/* TS20	*/
	{"OUTTIME21",	'C',	12,	0},	/* TS21	*/
	{"OUTTIME22",	'C',	12,	0},	/* TS22	*/
	{"OUTTIME23",	'C',	12,	0},	/* TS23	*/
	{"OUTTIME24",	'C',	12,	0},	/* TS24	*/
	{"OUTTIME25",	'C',	12,	0},	/* TS25	*/
	{"OUTTIME26",	'C',	12,	0},	/* TS26	*/
	{"OUTTIME27",	'C',	12,	0},	/* TS27	*/
	{"OUTTIME28",	'C',	12,	0},	/* TS28	*/
	{"OUTTIME29",	'C',	12,	0},	/* TS29	*/
	{"OUTTIME30",	'C',	12,	0},	/* TS30	*/
	{"OUTTIME31",	'C',	12,	0},	/* TS31	*/
	{"OUTTIME32",	'C',	12,	0},	/* TS32	*/
	{"OPMODE",	'C',	10,	0},	/* OMOD	*/
	{"NUMOUTBITS",	'N',	1,	0},	/* NUMB	*/
	{"NUMOUTWRDS",	'N',	2,	0},	/* NUMW	*/
	{"DCCTYPE",	'C',	10,	0},	/* DCTY	*/
	{"TIMEMODE",	'C',	10,	0},	/* TMOD	*/
	{"CLOSEDLOOP",	'L',	1,	0},	/* OMSL	*/
	{"AUTOMATIC",	'L',	1,	0},	/* MODE	*/
	{"ACTIVEEDGE",	'C',	10,	0},	/* LTED	*/
	{"RESETVAL",	'N',	5,	0},	/* RESV	*/
	{"FRSTRESET",	'L',	1,	0},	/* FRST	*/
	{"INITACT",	'C',	20,	0},	/* IACT	*/
	{0,0,0,0}
	};

T4TAG_INFO	ddcTagInfo[] = 
	{
	{"NAME",	"NAME",	0,	0,	0},
	{0,0,0,0,0}
	};


