/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/*
	Field definitions header file for ldfw2.dbf
*/

F4FIELD_INFO	ldfw2FieldInfo[] = 
	{
	{"NAME",	'C',	28,	0},	/* NAME */
	{"SPDCONTROL",	'C',	28,	0},	/* SCNT	*/
	{"SPPROCESS",	'L',	1,	0},	/* SCPR	*/
	{"SPMAXSEVR",	'L',	1,	0},	/* SCMS	*/
	{"FLNK",	'C',	28,	0},	/* FLNK	*/
	{"LDFWBLOCK",	'C',	28,	0},	/* LDFW	*/
	{"LDPROCESS",	'L',	1,	0},	/* LDPR	*/
	{"LDMAXSEVR",	'L',	1,	0},	/* LDMS	*/
	{"STARTSPEED",	'N',	6,	2},	/* STSP	*/
	{"STOPSPEED",	'N',	6,	2},	/* SPSP	*/
	{"MONDEADBND",	'N',	11,	4},	/* MDEL	*/
	{"ADJFACT01",	'N',	4,	2},	/* AF01	*/
	{"ADJFACT02",	'N',	4,	2},	/* AF02	*/
	{"ADJFACT03",	'N',	4,	2},	/* AF03	*/
	{"ADJFACT04",	'N',	4,	2},	/* AF04	*/
	{"ADJFACT05",	'N',	4,	2},	/* AF05	*/
	{"ADJFACT06",	'N',	4,	2},	/* AF06	*/
	{"ADJFACT07",	'N',	4,	2},	/* AF07	*/
	{"ADJFACT08",	'N',	4,	2},	/* AF08	*/
	{"ADJFACT09",	'N',	4,	2},	/* AF09	*/
	{"ADJFACT10",	'N',	4,	2},	/* AF10	*/
	{"ADJFACT11",	'N',	4,	2},	/* AF11	*/
	{"ADJFACT12",	'N',	4,	2},	/* AF12	*/
	{"ADJFACT13",	'N',	4,	2},	/* AF13	*/
	{"ADJFACT14",	'N',	4,	2},	/* AF14	*/
	{"ADJFACT15",	'N',	4,	2},	/* AF15	*/
	{"ADJFACT16",	'N',	4,	2},	/* AF16	*/
	{"ADJFACT17",	'N',	4,	2},	/* AF17	*/
	{"ADJFACT18",	'N',	4,	2},	/* AF18	*/
	{"ADJFACT19",	'N',	4,	2},	/* AF19	*/
	{"ADJFACT20",	'N',	4,	2},	/* AF20	*/
	{"PMPSELMODE",	'C',	11,	0},	/* PSMD */
	{"AUTOMATIC",	'L',	1,	0},	/* MODE	*/
	{"LASTPUMPST",	'N',	2,	0},	/* LPST not in dataVu */
	{"PRECISION",	'N',	1,	0},	/* PREC	*/
	{0,0,0,0}
	};

T4TAG_INFO	ldfw2TagInfo[] = 
	{
	{"NAME",	"NAME",	0,	0,	0},
	{0,0,0,0,0}
	};


