/*pipe.h,v 1.1.1.1 1999/08/03 14:42:19 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/*
	Field definition header file for pipe.dbf
*/

FIELD4INFO	pipeFieldInfo[] = 
	{
	{"NAME",	'C',	28,	0},
	{"MODE",	'C',	10,	0},
	{"RUNNINGSTR",	'C',	16,	0},
	{"STOPPEDSTR",	'C',	16,	0},
	{"PRODUCT",	'C',	16,	0},
	{"TEMP_UNITS",	'C',	5,	0},
	{"API_TABLE",	'C',	16,	0},
	{"APIGRAVITY",	'N',	10,	3},
	{"VOLUMEUNIT",	'C',	16,	0},
	{"STRAPTABLE",	'C',	16,	0},
	{"SETTLETIME",	'N',	10,	3},
	{"ARCDEADBND",	'N',	10,	3},
	{"MONDEADBND",	'N',	10,	3},
	{"VOLDEADBND",	'N',	10,	3},
	{"VOLCHGLIM",	'N',	10,	3},
	{"VOLSEVERTY",	'C',	10,	0},
	{"EMERGSHUTD",	'L',	1,	0},
	{0,0,0,0}
	};

T4TAG_INFO	pipeTagInfo[] = 
	{
	{"NAME",	"NAME",	0,	0,	0},
	{0,0,0,0,0}
	};
