#ifndef vubidialogclassHXX
#define	vubidialogclassHXX

class	vuBiContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuBiContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuBiContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuBiDialogClass

    vuBoardTypeMenuClass	*boardType;
    filteredTextitem	*line;
    filteredTextitem	*addr;
    filteredTextitem	*card;
    filteredTextitem	*signal;
    vuPvNameButtonClass	*referenceButton;
    vuFilteredTextitem	*reference;
    filteredTextitem	*constantValue;
    vuCheckBoxClass	*manual;
    vuCheckBoxClass	*processInput;
    vuCheckBoxClass	*maximizeSeverity;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*onAlarm;
    vuCheckBoxClass	*invertInput;
    filteredTextitem	*zeroState;
    filteredTextitem	*oneState;
    vuChoiceGblMenuClass	*zeroSeverity;
    vuChoiceGblMenuClass	*oneSeverity;
    vuChoiceGblMenuClass	*cosSeverity;
    vuPvNameButtonClass	*alarmDisableButton;
    vuFilteredTextitem	*alarmDisable;
    filteredTextitem	*alarmDelay;
    vuFilteredTextitem	*alarmGroup;
};


//*** BI DIALOG CLASS **********************************************

class	vuBiDialogClass : public vuCommonDialogClass
{
    vuBiContainerClass	*biContainer;
    vstr		*biTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuBiDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuBiDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vubidialogclassHXX

