#ifndef vustringoutdialogclassHXX
#define	vustringoutdialogclassHXX

class	vuStringoutContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuStringoutContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuStringoutContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuStringoutDialogClass

    vuBoardTypeMenuClass	*boardType;
    filteredTextitem	*line;
    filteredTextitem	*addr;
    filteredTextitem	*card;
    filteredTextitem	*signal;
    vuPvNameButtonClass	*valueLocButton;
    vuFilteredTextitem	*valueLoc;
    vuPvNameButtonClass	*outputButton;
    vuFilteredTextitem	*output;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*closedLoop;
    vuCheckBoxClass	*outputOnChange;
    filteredTextitem	*stringValue;
};


//*** STRINGOUT DIALOG CLASS **********************************************

class	vuStringoutDialogClass : public vuCommonDialogClass
{
    vuStringoutContainerClass	*stringoutContainer;
    vstr			*stringoutTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuStringoutDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuStringoutDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vustringoutdialogclassHXX

