#ifndef vuutilsHXX
#define vuutilsHXX
#include vfsHEADER
#include vfilechsrHEADER

// define some prototypes

int		vuAlarmGroupFilter (filteredText *text, vtextSelection *sel,
				    const vchar **string, long *len);
void		vuCaPutValue (dataVuApplication *app, char *pvname, char *fldname, int value);
int		vuDeletePoint (vuMainDialogClass *mainDialog, vchar *pvname);
vdialogItem	*vuFindContainerItem (vcontainer *container, vchar *tagName);
vdialogItem	*vuFindDialogItem (vdialog *dialog, vchar *tagName);
vliststr	*vuGetAlarmGroupList (vuDatabaseClass *db);
vliststr	*vuGetGroupList (vuDatabaseClass *db);
vliststr	*vuGetGroupOpList (vuDatabaseClass *db, char *operatorName);
vliststr	*vuGetIocList (vuDatabaseClass *db);
vliststr	*vuGetOperatorList (vuDatabaseClass *db);
int		vuGetPointTypeIndex (char *pointTypeName);
char		**vuGetPointTypeList (void);
vliststr	*vuGetResList (vuDatabaseClass *db, int getDpa);
const vchar	*vuGetOptionMenuValue (vcontrolOptionMenu *optionMenu);
void		vuGoTo (vuMainDialogClass *mainDialog);
void		vuLoadAndGo (vdialog *dialog, vchar *pvname, int pointTypeIndex);
int		vuMatchPattern (DB_RECORD_PTR rec, DB_FIELD_PTR field, vregexp *regExp);
int		vuMessageDialogCenter (vdialog *dialog, int msgNum, ...);
void		vuNewLoadAndGo (vuMainDialogClass *mainDialog, vchar *pvname,
				vresource commonResource, int ptTypeIndex);
int		vuProtectionGroupFilter (filteredText *text, vtextSelection *sel,
					 const vchar **string, long *len);
int		vuPvNameFilter (filteredText *text, vtextSelection *sel,
				const vchar **string, long *len);
void		vuSetOptionMenuValue (vcontrolOptionMenu *optionMenu, vstr *value);
time_t		vuSynchTime (void);
/*******************************************************************
* Must sub-class the file chooser to overide the HookApplyFile 
* function. This function is called whenever the user clicks on
* the apply or OK buttons.
*******************************************************************/
class vuFileChooser : public vfilechsr
{
public:
  // the standard versions of the necessary constructors/destructor
  vloadableINLINE_CONSTRUCTORS(vuFileChooser, vfilechsr);

  // overrides from vloadable
  vkindTYPED_FULL_DECLARATION(vuFileChooser);

  // virtual member function overrides
  virtual int HookApplyFile(vfsPath *path);
  int fileChooserOpen(vstr *chooserTitle);
  vstr *getSelectedPath(void);
  //
  vuDatabaseClass *dataBase;
  vstr *selectedPath;
};

#endif vuutilsHXX
