/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

#ifndef _TRENDSIZES_H_
#define _TRENDSIZES_H_

#define IOCNAME_SIZE	16
#define	POINTNAME_SIZE	28
#define	RESNAME_SIZE	16
#define	EGUTAG_SIZE	16
#define STATUS_SIZE     3
#define	YEAR_SIZE	4
#define	DAY_SIZE	3
#define	HOUR_SIZE	2
#define	MIN_SIZE	2
#define	SECOND_SIZE	2
#define	METHOD_SIZE	3
#define	RATE_SIZE	5
#define VALUE_SIZE      9
#define LIMITS_SIZE     9
#define SAMPLECNT_SIZE  2

/* defines used for trendvu groups */
#define TRENDDESCRIPTOR_SIZE	80
#define TRENDSPEC_SIZE	80
#define TREND_NUMPOINTS	8

typedef char	CHARSPEC[TRENDSPEC_SIZE];

#define TRENDSEARCH_STATUSLEN 50 /* max length of the search status string */
#define TRENDSEARCH_SEVLEN    6	/* max length of the search severity string */
typedef struct {
    char    		type [10];
    unsigned char	severity [TRENDSEARCH_SEVLEN];
    unsigned char	status [TRENDSEARCH_STATUSLEN];
} SEARCH;

/* this definition is used by ar_schedule, etc... and should be expanded
** in ar_reduc when possible.
*/
#define	SCHED_SIZE	RATE_SIZE

#endif
