/*
	einfo_string_init.c Created by ./einfoStringConv
	on Mon Dec  1 14:17:02 1997

	Initialize separate strings within new 'einfo' arrays.
	The new arrays will be used to display the strings where needed
*/

#include	<edd.h>

#include	<dlinfo.h>
char *dl_data_type_einfo_d[21];
char *edd_user_input_einfo_d[10];
char *edd_valuator_constraint_type_einfo_d[14];
char *dl_dynamic_color_mod_einfo_d[3];
char *dl_color_rule_connector_einfo_d[4];
char *dl_color_rule_operation_einfo_d[7];
char *dl_dynamic_visibility_mod_einfo_d[4];
char *dl_dynamic_io_type_einfo_d[3];
char *dl_dynamic_geom_mod_einfo_d[6];
char *dl_dynamic_direction_einfo_d[6];
char *dl_pointer_direction_einfo_d[5];
char *dl_button_stacking_einfo_d[4];
char *dl_dynamic_fill_mod_einfo_d[3];
char *dl_indicator_label_type_einfo_d[5];
char *dl_valuator_label_type_einfo_d[4];
char *dl_bar_label_type_einfo_d[5];
char *dl_tank_label_type_einfo_d[5];
char *dl_meter_label_type_einfo_d[5];
char *dl_2d_control_label_type_einfo_d[5];
char *dl_fill_style_einfo_d[3];
char *dl_edge_style_einfo_d[3];
char *dl_exit_action_einfo_d[4];
char *dl_button_behavior_einfo_d[3];
char *dl_plot_style_einfo_d[4];
char *dl_time_units_einfo_d[7];
char *dl_string_alignment_einfo_d[7];
char *dl_string_format_einfo_d[7];
char *dl_element_class_einfo_d[11];
char *dl_on_off_einfo_d[3];
char *dl_elements_einfo_d[38];
void	einfoStringInit()
{

/* Initialize dl_data_type_einfo array */

dl_data_type_einfo_d[0] = "~char";
dl_data_type_einfo_d[1] = "~unsigned char";
dl_data_type_einfo_d[2] = "~char *";
dl_data_type_einfo_d[3] = "~short";
dl_data_type_einfo_d[4] = "~unsigned short";
dl_data_type_einfo_d[5] = "~short *";
dl_data_type_einfo_d[6] = "~int";
dl_data_type_einfo_d[7] = "~unsigned int";
dl_data_type_einfo_d[8] = "~int *";
dl_data_type_einfo_d[9] = "~float";
dl_data_type_einfo_d[10] = "~float *";
dl_data_type_einfo_d[11] = "~double";
dl_data_type_einfo_d[12] = "~double *";
dl_data_type_einfo_d[13] = "~int";
dl_data_type_einfo_d[14] = "~unsigned";
dl_data_type_einfo_d[15] = "~struct";
dl_data_type_einfo_d[16] = "~char *";
dl_data_type_einfo_d[17] = "~char *";
dl_data_type_einfo_d[18] = "~unsigned char";
dl_data_type_einfo_d[19] = "~unsigned char";
dl_data_type_einfo_d[20] = 0;

/* Initialize edd_user_input_einfo array */

edd_user_input_einfo_d[0] = "~no input";
edd_user_input_einfo_d[1] = "~scroll bar";
edd_user_input_einfo_d[2] = "~text entry box";
edd_user_input_einfo_d[3] = "~unmodified text";
edd_user_input_einfo_d[4] = "~enum from menu";
edd_user_input_einfo_d[5] = "~radio button";
edd_user_input_einfo_d[6] = "~color selection";
edd_user_input_einfo_d[7] = "~user input form";
edd_user_input_einfo_d[8] = "~pop up user input form";
edd_user_input_einfo_d[9] = 0;

/* Initialize edd_valuator_constraint_type_einfo array */

edd_valuator_constraint_type_einfo_d[0] = "";
edd_valuator_constraint_type_einfo_d[1] = "";
edd_valuator_constraint_type_einfo_d[2] = "";
edd_valuator_constraint_type_einfo_d[3] = "";
edd_valuator_constraint_type_einfo_d[4] = "";
edd_valuator_constraint_type_einfo_d[5] = "";
edd_valuator_constraint_type_einfo_d[6] = "";
edd_valuator_constraint_type_einfo_d[7] = "";
edd_valuator_constraint_type_einfo_d[8] = "";
edd_valuator_constraint_type_einfo_d[9] = "";
edd_valuator_constraint_type_einfo_d[10] = "";
edd_valuator_constraint_type_einfo_d[11] = "";
edd_valuator_constraint_type_einfo_d[12] = "";
edd_valuator_constraint_type_einfo_d[13] = 0;

/* Initialize dl_dynamic_color_mod_einfo array */

dl_dynamic_color_mod_einfo_d[0] = "~static";
dl_dynamic_color_mod_einfo_d[1] = "~rule";
dl_dynamic_color_mod_einfo_d[2] = 0;

/* Initialize dl_color_rule_connector_einfo array */

dl_color_rule_connector_einfo_d[0] = "~use";
dl_color_rule_connector_einfo_d[1] = "~and";
dl_color_rule_connector_einfo_d[2] = "~and not";
dl_color_rule_connector_einfo_d[3] = 0;

/* Initialize dl_color_rule_operation_einfo array */

dl_color_rule_operation_einfo_d[0] = "~=";
dl_color_rule_operation_einfo_d[1] = "~#";
dl_color_rule_operation_einfo_d[2] = "~>=";
dl_color_rule_operation_einfo_d[3] = "~>";
dl_color_rule_operation_einfo_d[4] = "~<=";
dl_color_rule_operation_einfo_d[5] = "~<";
dl_color_rule_operation_einfo_d[6] = 0;

/* Initialize dl_dynamic_visibility_mod_einfo array */

dl_dynamic_visibility_mod_einfo_d[0] = "~static";
dl_dynamic_visibility_mod_einfo_d[1] = "~if not zero";
dl_dynamic_visibility_mod_einfo_d[2] = "~if zero";
dl_dynamic_visibility_mod_einfo_d[3] = 0;

/* Initialize dl_dynamic_io_type_einfo array */

dl_dynamic_io_type_einfo_d[0] = "~monitor";
dl_dynamic_io_type_einfo_d[1] = "~control";
dl_dynamic_io_type_einfo_d[2] = 0;

/* Initialize dl_dynamic_geom_mod_einfo array */

dl_dynamic_geom_mod_einfo_d[0] = "~fill right";
dl_dynamic_geom_mod_einfo_d[1] = "~fill up";
dl_dynamic_geom_mod_einfo_d[2] = "~fill left";
dl_dynamic_geom_mod_einfo_d[3] = "~fill down";
dl_dynamic_geom_mod_einfo_d[4] = "~fill radial";
dl_dynamic_geom_mod_einfo_d[5] = 0;

/* Initialize dl_dynamic_direction_einfo array */

dl_dynamic_direction_einfo_d[0] = "~right";
dl_dynamic_direction_einfo_d[1] = "~left";
dl_dynamic_direction_einfo_d[2] = "~up";
dl_dynamic_direction_einfo_d[3] = "~down";
dl_dynamic_direction_einfo_d[4] = "~radial";
dl_dynamic_direction_einfo_d[5] = 0;

/* Initialize dl_pointer_direction_einfo array */

dl_pointer_direction_einfo_d[0] = "~down";
dl_pointer_direction_einfo_d[1] = "~up";
dl_pointer_direction_einfo_d[2] = "~right";
dl_pointer_direction_einfo_d[3] = "~left";
dl_pointer_direction_einfo_d[4] = 0;

/* Initialize dl_button_stacking_einfo array */

dl_button_stacking_einfo_d[0] = "~column";
dl_button_stacking_einfo_d[1] = "~row";
dl_button_stacking_einfo_d[2] = "~row column";
dl_button_stacking_einfo_d[3] = 0;

/* Initialize dl_dynamic_fill_mod_einfo array */

dl_dynamic_fill_mod_einfo_d[0] = "~from edge";
dl_dynamic_fill_mod_einfo_d[1] = "~from zero";
dl_dynamic_fill_mod_einfo_d[2] = 0;

/* Initialize dl_indicator_label_type_einfo array */

dl_indicator_label_type_einfo_d[0] = "~none";
dl_indicator_label_type_einfo_d[1] = "~outline";
dl_indicator_label_type_einfo_d[2] = "~limits";
dl_indicator_label_type_einfo_d[3] = "~channel";
dl_indicator_label_type_einfo_d[4] = 0;

/* Initialize dl_valuator_label_type_einfo array */

dl_valuator_label_type_einfo_d[0] = "~none";
dl_valuator_label_type_einfo_d[1] = "~outline";
dl_valuator_label_type_einfo_d[2] = "~limits";
dl_valuator_label_type_einfo_d[3] = 0;

/* Initialize dl_bar_label_type_einfo array */

dl_bar_label_type_einfo_d[0] = "~none";
dl_bar_label_type_einfo_d[1] = "~outline";
dl_bar_label_type_einfo_d[2] = "~limits";
dl_bar_label_type_einfo_d[3] = "~channel";
dl_bar_label_type_einfo_d[4] = 0;

/* Initialize dl_tank_label_type_einfo array */

dl_tank_label_type_einfo_d[0] = "~none";
dl_tank_label_type_einfo_d[1] = "~outline";
dl_tank_label_type_einfo_d[2] = "~limits";
dl_tank_label_type_einfo_d[3] = "~channel";
dl_tank_label_type_einfo_d[4] = 0;

/* Initialize dl_meter_label_type_einfo array */

dl_meter_label_type_einfo_d[0] = "~none";
dl_meter_label_type_einfo_d[1] = "~outline";
dl_meter_label_type_einfo_d[2] = "~limits";
dl_meter_label_type_einfo_d[3] = "~channel";
dl_meter_label_type_einfo_d[4] = 0;

/* Initialize dl_2d_control_label_type_einfo array */

dl_2d_control_label_type_einfo_d[0] = "~none";
dl_2d_control_label_type_einfo_d[1] = "~outline";
dl_2d_control_label_type_einfo_d[2] = "~limits";
dl_2d_control_label_type_einfo_d[3] = "~channel";
dl_2d_control_label_type_einfo_d[4] = 0;

/* Initialize dl_fill_style_einfo array */

dl_fill_style_einfo_d[0] = "~outline";
dl_fill_style_einfo_d[1] = "~solid";
dl_fill_style_einfo_d[2] = 0;

/* Initialize dl_edge_style_einfo array */

dl_edge_style_einfo_d[0] = "~solid";
dl_edge_style_einfo_d[1] = "~dash";
dl_edge_style_einfo_d[2] = 0;

/* Initialize dl_exit_action_einfo array */

dl_exit_action_einfo_d[0] = "~terminate";
dl_exit_action_einfo_d[1] = "~iconize";
dl_exit_action_einfo_d[2] = "~auto-term";
dl_exit_action_einfo_d[3] = 0;

/* Initialize dl_button_behavior_einfo array */

dl_button_behavior_einfo_d[0] = "~momentary";
dl_button_behavior_einfo_d[1] = "~latched";
dl_button_behavior_einfo_d[2] = 0;

/* Initialize dl_plot_style_einfo array */

dl_plot_style_einfo_d[0] = "~point plot";
dl_plot_style_einfo_d[1] = "~line plot";
dl_plot_style_einfo_d[2] = "~fill under";
dl_plot_style_einfo_d[3] = 0;

/* Initialize dl_time_units_einfo array */

dl_time_units_einfo_d[0] = "~day";
dl_time_units_einfo_d[1] = "~hour";
dl_time_units_einfo_d[2] = "~minute";
dl_time_units_einfo_d[3] = "~second";
dl_time_units_einfo_d[4] = "~milli second";
dl_time_units_einfo_d[5] = "~micro second";
dl_time_units_einfo_d[6] = 0;

/* Initialize dl_string_alignment_einfo array */

dl_string_alignment_einfo_d[0] = "~horiz. left";
dl_string_alignment_einfo_d[1] = "~horiz. right";
dl_string_alignment_einfo_d[2] = "~horiz. centered";
dl_string_alignment_einfo_d[3] = "~vert. top";
dl_string_alignment_einfo_d[4] = "~vert. bottom";
dl_string_alignment_einfo_d[5] = "~vert. centered";
dl_string_alignment_einfo_d[6] = 0;

/* Initialize dl_string_format_einfo array */

dl_string_format_einfo_d[0] = "~decimal";
dl_string_format_einfo_d[1] = "~decimal- exponential notation";
dl_string_format_einfo_d[2] = "~decimal- compact";
dl_string_format_einfo_d[3] = "~decimal- truncated ";
dl_string_format_einfo_d[4] = "~hexidecimal";
dl_string_format_einfo_d[5] = "~octal";
dl_string_format_einfo_d[6] = 0;

/* Initialize dl_element_class_einfo array */

dl_element_class_einfo_d[0] = "~attribute";
dl_element_class_einfo_d[1] = "~graphic";
dl_element_class_einfo_d[2] = "~control";
dl_element_class_einfo_d[3] = "~monitor";
dl_element_class_einfo_d[4] = "~miscellaneous";
dl_element_class_einfo_d[5] = "~internal";
dl_element_class_einfo_d[6] = "~plot";
dl_element_class_einfo_d[7] = "~related display";
dl_element_class_einfo_d[8] = "~execute script";
dl_element_class_einfo_d[9] = "~kill display";
dl_element_class_einfo_d[10] = 0;

/* Initialize dl_on_off_einfo array */

dl_on_off_einfo_d[0] = "~off";
dl_on_off_einfo_d[1] = "~on";
dl_on_off_einfo_d[2] = 0;

/* Initialize dl_elements_einfo array */

dl_elements_einfo_d[0] = "~<<graphic subclass>>";
dl_elements_einfo_d[1] = "~rectangle";
dl_elements_einfo_d[2] = "~line";
dl_elements_einfo_d[3] = "~oval";
dl_elements_einfo_d[4] = "~arc";
dl_elements_einfo_d[5] = "~text";
dl_elements_einfo_d[6] = "~user defined area";
dl_elements_einfo_d[7] = "~<<monitor subclass>>";
dl_elements_einfo_d[8] = "~bar";
dl_elements_einfo_d[9] = "~tank";
dl_elements_einfo_d[10] = "~meter";
dl_elements_einfo_d[11] = "~indicator";
dl_elements_einfo_d[12] = "~text update";
dl_elements_einfo_d[13] = "~user defined symbol";
dl_elements_einfo_d[14] = "~<<plot subclass>>";
dl_elements_einfo_d[15] = "~cartesian plot";
dl_elements_einfo_d[16] = "~smith overlay plot";
dl_elements_einfo_d[17] = "~surface plot";
dl_elements_einfo_d[18] = "~strip chart";
dl_elements_einfo_d[19] = "~<<controller subclass>>";
dl_elements_einfo_d[20] = "~valuator";
dl_elements_einfo_d[21] = "~text entry";
dl_elements_einfo_d[22] = "~button";
dl_elements_einfo_d[23] = "~choice button";
dl_elements_einfo_d[24] = "~message button";
dl_elements_einfo_d[25] = "~menu";
dl_elements_einfo_d[26] = "~2d control";
dl_elements_einfo_d[27] = "~related display";
dl_elements_einfo_d[28] = "~execute script";
dl_elements_einfo_d[29] = "~kill display";
dl_elements_einfo_d[30] = "~<<internal grouping>>";
dl_elements_einfo_d[31] = "~<<PV name element>>";
dl_elements_einfo_d[32] = "~<<string name element>>";
dl_elements_einfo_d[33] = "~<<color map>>";
dl_elements_einfo_d[34] = "~<<color rules>>";
dl_elements_einfo_d[35] = "~<<basic atribute>>";
dl_elements_einfo_d[36] = "~<<dynamic attribute>>";
dl_elements_einfo_d[37] = 0;
return;
}
