/*snlresume.c,v 1.1.1.1 1999/08/03 14:44:39 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/* Kill a task */

#include <stdio.h>
#include <stdlib.h>
#include "mon_defs.h"
#include "msgMon.h"

main (int argc, char *argv[])
{

    int		Result;
    long	taskId;

    tisOpenLog ("snlresume", 6, 2, NULL, NULL);

    /* Check for proper number of arguments */

    if (argc != 5) {
	printf ("Usage: snlresume <host-name> <program-name> <task-name> <taskid>\n");
	exit (1);
    }

    /* Connect to the server. */

    if (!snlMonConnect (argv [1])) {
	printf ("Unable to connect to snlMon on %s\n", argv [1]);
	exit (1);
    }

    taskId = atol (argv[4]);
    /* Send a load message */

    Result = snlMon_Resume (argv [2], taskId, argv [3]);

    /* Drop the connection to the server */

    snlMonDisconnect ();

    return !Result;
}

