/*evolman.h,v 1.1.1.1 1999/08/03 14:44:53 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/*evolman.h,v 1.1.1.1 1999/08/03 14:44:53 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/*
 * widgets
 */
#define	EVOL_COLUMNS1			1
#define	EVOL_COLUMNS2			2
#define	EVOL_LIST				3
#define	SEG_TITLE				4
#define	SEG_COLUMNS1			5
#define	SEG_COLUMNS2			6
#define	SEG_LIST				7
#define	START_BUTTON			8
#define	STOP_BUTTON				9
#define	RESUME_BUTTON			10
#define	PAUSE_BUTTON			11
#define	MAN_EVOL_BUTTON			12
#define	EMRG_STOP_BUTTON		13
#define	INSERT_BUTTON			14
#define	EDIT_BUTTON				15
#define	DELETE_BUTTON			16
#define	PRINT_BUTTON			17
#define	DISPLAY_BUTTON			18
#define	HELP_BUTTON				19
#define	EXIT_BUTTON				20
#define	EDIT_EVOL_DIALOG		21
#define	PRODUCT_LIST			22
#define	EVOL_QUANTITY_ENTRY		23
#define	EVOL_BBLS_BUTTON		24
#define	EVOL_GALS_BUTTON		25
#define	PIER_ISSUE_BUTTON		26
#define	PIER_RECEIVE_BUTTON		27
#define	TRANSFER_BUTTON			28
#define	TRUCK_ISSUE_BUTTON		29
#define	TRUCK_RECEIVE_BUTTON	30
#define	YES_AUTO_SWING_BUTTON	31
#define	NO_AUTO_SWING_BUTTON	32
#define	CLIENT_ENTRY			33
#define	CLIENT_ID_ENTRY			34
#define	DATE_ENTRY				35
#define	TIME_ENTRY				36
#define	OK_EDIT_EVOL_BUTTON		37
#define	CANCEL_EDIT_EVOL_BUTTON	38
#define	EDIT_SEG_DIALOG			39
#define	SOURCE_LIST				40
#define	DESTINATION_LIST		41
#define	SEG_QUANTITY_ENTRY		42
#define	SEG_BBLS_BUTTON			43
#define	SEG_GALS_BUTTON			44
#define	LINEUP_LIST				45
#define	API_ENTRY				46
#define	OK_EDIT_SEG_BUTTON		47
#define	CANCEL_EDIT_SEG_BUTTON	48
#define	PAUSE_ON_COMP_BUTTON	49
#define	QUANTITY_BUTTON			50
#define	QUANTITY_DIALOG			51
#define	QUANTITY_ENTRY			52
#define	OK_QUANTITY_BUTTON		53
#define	CANCEL_QUANTITY_BUTTON	54
#define	DIC_CODE_ENTRY			55

/*
 * miscellaneous
 */
#define	CLICK			1
#define	REFRESH_RATE	2000	/* milliseconds */

typedef struct
	{
	unsigned long	evolNumber;
	char			evolNumberEntry[EVOL_NUMBER_ENTRY_SIZE+1];
	char			productEntry[PRODUCT_ENTRY_SIZE+1];
	char			quantityEntry[QUANTITY_ENTRY_SIZE+1];
	char			quantityUnitsEntry[UNITS_ENTRY_SIZE+1];
	char			movementTypeEntry[MOVE_TYPE_ENTRY_SIZE+1];
	char			autoSwingEntry[AUTO_SWING_ENTRY_SIZE+1];
	char			clientEntry[CLIENT_ENTRY_SIZE+1];
	char			clientIdEntry[CLIENT_ID_ENTRY_SIZE+1];
	char			dicCodeEntry[DIC_CODE_ENTRY_SIZE+1];
	char			dateEntry[DATE_STRING_ENTRY_SIZE+1];
	char			timeEntry[TIME_STRING_ENTRY_SIZE+1];
	char			timestamp[TIMESTAMP_ENTRY_SIZE+1];
	char			statusEntry[STATUS_ENTRY_SIZE+1];
	char			evolMode[EVOLMODE_ENTRY_SIZE+1];
	char			weightavg[WEIGHTAVG_ENTRY_SIZE+1];
	} EvolRecord;

typedef struct
	{
	unsigned long	evolNumber;
	unsigned long	segNumber;
	unsigned long	orderNumber;
	char			evolNumberEntry[EVOL_NUMBER_ENTRY_SIZE+1];
	char			segNumberEntry[SEG_NUMBER_ENTRY_SIZE+1];
	char			orderNumberEntry[ORDER_NUMBER_ENTRY_SIZE+1];
	char			quantityEntry[QUANTITY_ENTRY_SIZE+1];
	char			quantityUnitsEntry[UNITS_ENTRY_SIZE+1];
	char			lineupEntry[LINEUP_NAME_ENTRY_SIZE+1];
	char			pauseEntry[PAUSE_ENTRY_SIZE+1];
	char			apiEntry[API_ENTRY_SIZE+1];
	double			actFlowRate;
	double			actFlowTime;
	char			statusEntry[STATUS_ENTRY_SIZE+1];
	double			quantityXfer;
	unsigned long	scriptId;
	char			reqType[REQTYPE_ENTRY_SIZE+1];
	char			avgapi[AVGAPI_ENTRY_SIZE+1];
	} SegRecord;
