/* trenddetaillist.h,v 1.1.1.1 1999/08/03 14:45:09 tis4000 Exp
 *
 */

#define ENB_CLICK 0
#define CTL_CLICK 1

class DetailButton;

/*
 * TrendDetailList - trend graph continer class
 */

class TrendDetailList : public vlistview
{
    public:
	// the default versions of the necessary constructors/destructor
	vloadableINLINE_CONSTRUCTORS(TrendDetailList, vlistview);

	// overrides from vkindTyped
	vkindTYPED_FULL_DECLARATION(TrendDetailList);

	// virtual member function overrides
	// vloadable
	virtual void LoadInit(vresource resource);
	virtual void Destroy();
	virtual void ObserveSelect(int state);
	virtual void DrawCellContents(int row, int col, int selected, vrect *rect);

	// methods
//	void Draw (TrendSet *trendSet, int pos);
	void Redisplay () { Inval (0); }
	void SetPrefs (vcolorSpec fgColorSpec[C_TRENDPTS], vcolorSpec bgColorSpec);
	void SetTrendSet (TrendSet *set);
	void SetTheCursor (int newcur) { cursor = newcur; Inval (0); }
	virtual void ControlClick (int type, int id);

    private:
	TrendSet	*trendSet;	    // the working document
	int		cursor;
	DetailButton	*ctlButton[C_TRENDPTS];
	DetailButton	*enbButton[C_TRENDPTS];
	vcolor		*fgColors[C_TRENDPTS];
	vcolor		*bgColor;
	vcolorSpec	vgrey;
	vcolor		*greyColor;
};
