/* trendeditdlg.h,v 1.1.1.1 1999/08/03 14:45:10 tis4000 Exp
 *
 */

class teDurType;
class teSpecList;
class teAddButton;
class teDeleteButton;
class teAcceptButton;
class teBrowseButton;
class teCancelButton;

/*
 * TrendEditDialog - trend graph continer class
 */

class TrendEditDialog : public vdialog
{
    public:
	// the default versions of the necessary constructors/destructor
	vloadableINLINE_CONSTRUCTORS(TrendEditDialog, vdialog);

	// overrides from vkindTyped
	vkindTYPED_FULL_DECLARATION(TrendEditDialog);

	// virtual member function overrides
	// vloadable
	virtual void LoadInit(vresource resource);
	// vwindow
	virtual void ObserveWindow(vevent *event);

	// methods
	int Alert (TrendSet *trendSet);
	void DurTypeClick (int type);
	void ListClick (int which);
	void AddClick ();
	void DeleteClick ();
	void AcceptClick ();
	void BrowseClick ();
	void CancelClick ();
	char *ResultString () { return workset.setname; }
    private:
	TrendSet workset;
        int result;

	vtextitem *descText;
	int curtype;
	vtextitem *durText;
	teDurType *durType;
	vcontrolToggle *autoToggle;
	vtextitem *defSpecText;
	vtextitem *dateText;
	vtextitem *offsetText;
	vcontainerExclusiveGroup *reducType;
	vtextitem *dspLoText;
	vtextitem *dspHiText;
	teAddButton *addPt;
	vcontrolToggle *timeToggle;
	vtextitem *ctlLoText;
	vtextitem *ctlHiText;
	teDeleteButton *delPt;
	teSpecList *itemList;
	teAcceptButton *accept;
	teBrowseButton *browse;
	teCancelButton *cancel;
};
