/* trendtextdlg.h,v 1.1.1.1 1999/08/03 14:45:11 tis4000 Exp
 *
 */

class vdialogLabelItem;
class tlCloseButton;
class TrendTextList;

/*
 * TrendTextDialog - trend graph continer class
 */
class TrendTextDialog : public vdialog
{
    public:
	// the default versions of the necessary constructors/destructor
	vloadableINLINE_CONSTRUCTORS(TrendTextDialog, vdialog);

	// overrides from vkindTyped
	vkindTYPED_FULL_DECLARATION(TrendTextDialog);

	// virtual member function overrides
	// vloadable
	virtual void LoadInit(vresource resource);
	// vwindow
	virtual void ObserveWindow(vevent *event);

	// methods
	void SetTheCursor (int loc);
	void SetTrendSet (TrendSet *set);
	void CloseClick (void);
	virtual void CloseNotify (void);
	void ControlClick (int id);
	virtual void NewCursor (int id);
    private:
	TrendSet	*trendSet;	    // the working document
	vdialogLabelItem *titletext;
	TrendTextList *valuelist;
	tlCloseButton *close;
};

class TrendTextList : public vlistview
{
    public:
	// the default versions of the necessary constructors/destructor
	vloadableINLINE_CONSTRUCTORS(TrendTextList, vlistview);

	// overrides from vkindTyped
	vkindTYPED_FULL_DECLARATION(TrendTextList);

	// virtual member function overrides
	// vloadable
	virtual void LoadInit (vresource resource);
	virtual void Destroy ();
	virtual void ObserveSelect (int state);
	virtual void DrawCellContents (int row, int col, int selected, vrect *rect);

	// methods
//	void Draw (TrendSet *trendSet, int pos);
	void Redisplay () { Inval (0); }
	void SetTrendSet (TrendSet *set);
	void SetTheCursor (int newcur);
	void SetParent (TrendTextDialog *p) { parent = p; }
    private:
	TrendSet	*trendSet;	    // the working document
	int		cursor;
	TrendTextDialog *parent;
};
