/****
*
*	File name :		ssl1tcp.h
*	Author :		Steve Johnson
*	Creation date :	September 16, 1985
*
*	Copyright (c) 1985,1999 Sigma Six Corporation
*
*	Include file for the physical layer supporting TCP/IP
*
****/

extern int	l1tcp_init (void);
extern int	l1tcp_connect (LEVEL1_HANDLE *, char *);
extern int	l1tcp_publish (LEVEL1_HANDLE *, char *);
extern int	l1tcp_accept (LEVEL1_HANDLE *, LEVEL1_HANDLE);
extern int	l1tcp_write (LEVEL1_HANDLE, size_t, void *);
extern int	l1tcp_read (LEVEL1_HANDLE, size_t, void *, size_t *);
extern int	l1tcp_poll (LEVEL1_HANDLE, size_t *);
extern int	l1tcp_clear (LEVEL1_HANDLE);
extern int	l1tcp_shutdown (LEVEL1_HANDLE);
extern int	l1tcp_exit (void);

