/****
*
*	File name :		ssl1unix.h
*	Author :		Steve Johnson
*	Creation date :	September 16, 1985
*
*	Copyright (c) 1985,1999 Sigma Six Corporation
*
*	Include file for the physical layer supporting Unix
*
****/

extern int	unix_init (void);
extern int	unix_connect (LEVEL1_HANDLE *, char *);
extern int	unix_publish (LEVEL1_HANDLE *, char *);
extern int	unix_accept (LEVEL1_HANDLE *, LEVEL1_HANDLE);
extern int	unix_write (LEVEL1_HANDLE, size_t, void *);
extern int	unix_read (LEVEL1_HANDLE, size_t, void *, size_t *);
extern int	unix_poll (LEVEL1_HANDLE, size_t *);
extern int	unix_clear (LEVEL1_HANDLE);
extern int	unix_shutdown (LEVEL1_HANDLE);
extern int	unix_exit (void);

