/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/***************************************************************
*
*    This file is to be kept in sync with
*	.../share/epicsH/alarm.h
*	.../share/epicsH/alarmStrings.h
*	.../share/ascii/choiceGbl.ascii
*
*    The abbreviated alarm strings have been expanded here
*	so that the decTalk voice synthesizer can more
*	readily pronounce the alarms
*
*
**************************************************************/

/*************************************************************	
*	modification log
*	----------------
*  .01	mm-dd-yy	xxx	comment
*  .01	10-13-96	ems	created
*
*************************************************************/

char	*decTalkAlarmStrings [] = {
	"return to normal",
	"read",
	"write",
	"high high",
	"high",
	"low low",
	"low",
	"signal",
	"rate of change",
	"state",
	"change of state",
	"open thermocouple",
	"time out",
	"h w limit",
	"calculation",
	"scan",
	"link",
	"soft",
	"bad u d b",
	"undefined",
	"inhibit",
	"tagged",
	"command not allowed",
	"volume",
	"high high level",
	"temperature",
	"pressure",
	"botton sediment water",
	"talk valve",
	"valve open",
	"valve close",
	"valve torque lag",
	"valve fault",
	"valve poisition",
	"automatic",
	"vibration",
	"pump start",
	"pump stop",
	"point of transfer drop ready",
	"permissive",
	"uncommanded",
	"threshold exceeded",
	"measured value error",
	"output error",
	"deviation",
	"tracking mode",
	"set point high clamp",
	"set point low clamp",
	"output high clamp",
	"output low clamp",
	"manual override",
	"set point error",
	"output mode error",
	"parameter",
	"high level",
	"low level",
	"low low level",
	"high high temperature",
	"high temperature",
	"low temperature",
	"low low temperature",
	"no initialization",
	"",
	};
