
/* aoRecord.h */
#ifndef INCaoRecordh
#define INCaoRecordh
#ifndef	INCLlstLibh
#include <lstLib.h>	/* list structure definition for the monitor list */
#endif
#ifndef	INCLsemLibh
#include <semLib.h>	/* semaphore structure definition for the monitor lock*/
#endif
#ifndef INCLfast_lockh
#include <fast_lock.h>	/* fast lock data structures and macros */
#endif
#ifndef INCLlinkh
#include <link.h>	/* fast lock data structures and macros */
#endif
#ifndef INC_tsDefs_h
#include <tsDefs.h>	/* time-stamp related definitions */
#endif
struct aoRecord	{
	char		name[28];		/*  */
	char		desc[41];		/*  */
	char alignPad1;		/*  */
	unsigned short	scan;		/*  */
	short		phas;		/*  */
	short		evnt;		/*  */
	unsigned short	dtyp;		/*  */
	unsigned short	tenb;		/*  */
	struct dset	*dset;		/*  */
	LIST		mlis;		/*  */
	FAST_LOCK	mlok;		/*  */
	struct link	sdis;		/*  */
	struct link	adis;		/*  */
	short		disv;		/*  */
	short		disa;		/*  */
	unsigned char	pact;		/*  */
	unsigned char	udf;		/*  */
	short		lset;		/*  */
	short		lcnt;		/*  */
	short		proc;		/*  */
	short		init;		/*  */
	unsigned short	stat;		/*  */
	unsigned short	sevr;		/*  */
	unsigned short	nsta;		/*  */
	unsigned short	nsev;		/*  */
	short		tagd;		/*  */
	TS_STAMP	latm;		/*  */
	TS_STAMP      lptm;		/*  */
	unsigned short	ack;		/*  */
	unsigned short	oscn;		/*  */
	unsigned short	aenb;		/*  */
	char		resn[16];		/*  */
	char		algp[16];		/*  */
	short		rdur;		/*  */
	void          *radr;		/*  */
	short		rduf;		/*  */
	short		rcrc;		/*  */
	struct scanLock *lsad;		/*  */
	struct dbCommon *lsnr;		/*  */
	short		ini2;		/*  */
	unsigned short	msev;		/*  */
	unsigned short	psta;		/*  */
	unsigned short	psev;		/*  */
	short		hhll;		/*  */
	short		hilo;		/*  */
	short		aldl;		/*  */
	short		rtct;		/*  */
	unsigned long	larf;		/*  */
	short		dvct;		/*  */
	unsigned short	itag;		/*  */
	long		tstp;		/*  */
	short		ralm;		/*  */
	char alignPad3[2];		/*  */
	/* start of ao specific fields */ 
	double		val;		/*  */
	double		oval;		/*  */
	struct link	out;		/*  */
	float		oroc;		/*  */
	struct link	dol;		/*  */
	unsigned short	omsl;		/*  */
	unsigned short	oif;		/*  */
	short		prec;		/*  */
	unsigned short	linr;		/*  */
	float		eguf;		/*  */
	float		egul;		/*  */
	char		egu[16];		/*  */
	float		roff;		/*  */
	double		eslo;		/*  */
	float		drvh;		/*  */
	float		drvl;		/*  */
	float		hopr;		/*  */
	float		lopr;		/*  */
	struct link	flnk;		/*  */
	float		hihi;		/*  */
	float		lolo;		/*  */
	float		high;		/*  */
	float		low;		/*  */
	unsigned short	hhsv;		/*  */
	unsigned short	llsv;		/*  */
	unsigned short	hsv;		/*  */
	unsigned short	lsv;		/*  */
	long		rval;		/*  */
	double		hyst;		/*  */
	double		adel;		/*  */
	double		mdel;		/*  */
	long		oraw;		/*  */
	long		rbv;		/*  */
	double		pval;		/*  */
	double		lalm;		/*  */
	double		alst;		/*  */
	double		mlst;		/*  */
	long		orbv;		/*  */
	caddr_t	dpvt;		/*  */
	float		irhi;		/*  */
	float		irlo;		/*  */
	double		cnst;		/*  */
	double		lovl;		/*  */
	float		ogap;		/*  */
	short		fpps;		/*  */
	unsigned short	rbdt;		/*  */
	void (*rbfn)();		/*  */
};
#endif

