/*scan_types.h,v 1.1.1.1 1999/08/03 14:41:28 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/****************************************************************************
 *
 *  FILE    :   scan_types.h
 *  DATE    :   03 Mar 94
 *  AUTHOR  :   emsteel
 *  PURPOSE :   defines for the scan types
 *
 *
 ***************************** REVISION HISTORY *****************************
 *
 *  REVISED BY             : 
 *  REVISION DATE          :
 *  REVISION:  
****************************************************************************/


/****************************************************************************
*
* Programmer's Notes:
*
*    1 - these definitions MUST match those in .../share/ascii/choiceGbl.ascii
*
*
****************************************************************************/


#ifndef INCScanType
#define INCScanType 1

#define PASSIVE         0
#define P60SECOND	1
#define P30SECOND	2
#define P15SECOND	3
#define P10SECOND	4
#define P5SECOND	5
#define P2SECOND        6
#define PSECOND         7
#define PHALFSECOND     8
#define PFIFTHSECOND    9
#define PTENTHSECOND    10
#define E_EXTERNAL      11
#define E_IO_INTERRUPT  12

#endif
