/*drvModiconslv_proto.h,v 1.1.1.1 1999/08/03 14:43:22 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

/* Name: drvModicon_proto.h */

#ifndef drvmodicon_protoH
#define drvmodicon_protoH

	int modslv_aidriver (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, short *pvalue,
	    unsigned short conversion, unsigned char *resname);

	int modslv_aodriver (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal,double dvalue, unsigned short value,
	    unsigned short conversion, unsigned char *resname);

	int modslv_aoread (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned short *pvalue,
	    unsigned short conv, unsigned char *resname);

	int modslv_bidriver (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long mask,
	    unsigned long *pvalue, unsigned char *resname);

	int modslv_bodriver (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long value,
	    unsigned long mask, unsigned char *resname);

	int modslv_boread (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long *pvalue,
	    unsigned long mask, unsigned char *resname);

        int modslv_sidriver (char *pointname, unsigned short link, unsigned short adapter,
            unsigned short card, unsigned short signal, short *pvalue,
            unsigned short len, unsigned char *resname);

        int modslv_sodriver (char *pointname, unsigned short link, unsigned short adapter,
            unsigned short card, unsigned short signal, unsigned char *value,
            unsigned short len, unsigned char *resname);

        void modslvdumpmsgcnts (unsigned short line);

        void modslvclearmsgcnts (unsigned short line);

        void modslvdumpplcstats (unsigned short line, unsigned short maddr);

        void modslvclearplcstats (unsigned short line, unsigned short maddr);

	void dump_modslv_table (unsigned short line, unsigned short maddr);

	int modslvlineinfo  ();

/* Resource Group Lock code: 9/3/97 */
int     assignLockGroup (int group, char *resource);

#endif drvmodicon_protoH


