/*drvQei_proto.h,v 1.1.1.1 1999/08/03 14:44:15 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

/* Name: drvQei_proto.h */


static	long init ();

        void HELP (void);

	void TRACEON (unsigned short line);

	void TRACEOFF (unsigned short line);

	void RTRACEON (unsigned short line);

	void RTRACEOFf (unsigned short line);

	void TRACELEVEL (unsigned short line, unsigned short level);

        void TRAFFIC (unsigned short line, unsigned char addr, unsigned char ttccode, unsigned char opcode);

        void TRAFFICON (unsigned short line);

        void TRAFFICOFF (unsigned short line);

        void CONTRACEON (unsigned short line);

        void CONTRACEOFF (unsigned short line);

        void RUNTRACEON (unsigned short line);

        void RUNTRACEOFF (unsigned short line);

        void REJECTTRACEON (unsigned short line);

        void REJECTTRACEOFF (unsigned short line);

        void NACKTRACEON (unsigned short line);

        void NACKTRACEOFF (unsigned short line);

        void DEFAULTTRACE (unsigned short line);

        void SIMLEVEL (unsigned short line, unsigned short level);

	int STOPDRIVER (short ln);

        int STARTDRIVER (unsigned short line,
                         char *mode,         
                         unsigned short delay,
                         unsigned short hdflag,
                         unsigned short delay1,
                         unsigned short delay2,
                         unsigned short private);

        void SETCOMM (unsigned short line,
                      unsigned short tickcount1,
                      unsigned short hdflag,
                      unsigned short tickcount2,
                      unsigned short tickcount3);

        void MAIN (unsigned short line,
                   unsigned char *mode,
                   unsigned short delay,
                   unsigned short hdflag,
                   unsigned short delay1,
                   unsigned short delay2,
                   unsigned short private);

static 	void on_line (unsigned short line,unsigned short mod);

static  int Next_to_Poll(unsigned short line);

static 	void mark_not_valid (QEIRTU  *pmod);

static	void scan_plc (QEIRTU *pmod, unsigned short line, unsigned short mod);

static	void checkoutputs (unsigned short line);

	int AIDRIVER (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, short *pvalue,
	    unsigned short conversion, unsigned char *resname);

	int AODRIVER (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal,double dvalue, unsigned short value,
	    unsigned short conversion, unsigned char *resname);

	int AOREAD (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned short *pvalue,
	    unsigned short conv, unsigned char *resname);

	int BIDRIVER (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long mask,
	    unsigned long *pvalue, unsigned char *resname);

	int BODRIVER (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long value,
	    unsigned long mask, unsigned char *resname);

	int BOREAD (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long *pvalue,
	    unsigned long mask, unsigned char *resname);

        int SIDRIVER (char *pname, unsigned short link, unsigned short adapter,
            unsigned short card, unsigned short signal, unsigned char *value,
            unsigned short len, unsigned char *resname);

static 	void register_resource (unsigned short link,QEIRTU *pmod,unsigned char *resname, char *pointname);

static	void outqueinit (unsigned short line);

static	OUTQENT *ogetemptyp (unsigned short line);

static	void omarkfull (unsigned short line);

static	OUTQENT *ogetnextp (unsigned short line);

static	void oreleasefull (unsigned short line);

static 	int allocate_plc (unsigned short line, unsigned short plc);

static	void start_rx (unsigned short line,SEMAPHORE *semid,unsigned short *pstatus);

static	void stop_rx (unsigned short line );

static	void rx_int_proc (unsigned short line );

static	int check_line_activity (unsigned short line, unsigned short predelay);

static	void start_tx (unsigned short line,SEMAPHORE *semid,unsigned short *pstatus);

static	void stop_tx (unsigned short line );

static	void tx_int_proc (unsigned short line );

static	unsigned short msgxfer (unsigned short fline,unsigned short resplen,
        QEIRTU *pmod, unsigned short rxlength);

static	void init_plc_tab (unsigned short line, QEIRTU *pmod);

static 	void initplc (QEIRTU  *pmod);

static	void initstats (QEIRTU *pmod);

static	unsigned short modloopback (unsigned short line, unsigned short mod, QEIRTU *pmod);

static	void prepresponses (unsigned short line);

static	int any_responding (unsigned short line);

static int pollforall(unsigned short line, unsigned short mod, QEIRTU *pmod);

static int pollforacc(unsigned short line,unsigned short mod,QEIRTU *pmod);

static int freezeacc(unsigned short line,unsigned short mod,QEIRTU *pmod);

static int transferresetacc(unsigned short line,unsigned short mod,QEIRTU *pmod);

static int msgtortu(unsigned short line,unsigned short mod,
		      QEIRTU *pmod, unsigned short opcode,
		      unsigned short point,unsigned short inmsg,
		      unsigned short dataexpected);

static	unsigned short pollfordata (unsigned short line,
				    unsigned short mod,
			 	    QEIRTU *pmod);

unsigned short savedata(unsigned short mod,QEIRTU *pmod,
			unsigned short opcode, unsigned short point, RXLINE  *rxp,
			unsigned short dataexpected);

static void checkdata(unsigned short line, QEIRTU *pmod, unsigned short mod,
                      unsigned short opcode, unsigned short point, RXLINE  *rxp);

static	unsigned short qeibocmd (unsigned short line, unsigned short mod,
			 unsigned short card, QEIRTU *pmod,
			 unsigned short bitaddr,
			 unsigned long mask, unsigned long val);


static	unsigned short qeiaocmd (unsigned short line, unsigned short mod,
			 unsigned short card, QEIRTU *pmod,
			 unsigned short point,
			 unsigned short val,double dblval, unsigned short conv);

unsigned short makebch(unsigned char *buf);

void DUMPMSGCNTS (unsigned short line);

void CLEARMSGCNTS (unsigned short line);

void DUMPPLCSTATS (unsigned short line, unsigned short maddr);

void CLEARPLCSTATS (unsigned short line, unsigned short maddr);

void TABLEINFO (unsigned short line, unsigned short maddr);

LINEINFO ();

POLLINFO (unsigned short line);

static	unsigned short  msgsim (unsigned short fline,unsigned short resplen,
                                QEIRTU *pmod, unsigned short rxlength);

static void qeierr(unsigned short qerrno, unsigned short len,
		   unsigned long command1, unsigned long command2);

static int checkformore(unsigned short type,unsigned short point);

static int ocheckformore(unsigned short type,unsigned short point);

static void qeiresponse( RXLINE *rxp,unsigned short function,
			 unsigned long data1,
			 unsigned long data2,
			 unsigned short type );

qeisimdump();

qsacc (unsigned short point,unsigned short val);

qsdi (unsigned short point,unsigned short val);

qsai (unsigned short point,unsigned short val);


/*	End of File:	drvQei_proto.h */
