/* textdlg.h,v 1.1.1.1 1999/08/03 14:45:00 tis4000 Exp
 *
 */

#define RESULT_CANCEL	0
#define RESULT_OK	1

class tvAcceptButton;
class tvCancelButton;

/*
 * TextDialog - trend graph continer class
 */
class TextDialog : public vdialog
{
    public:
	// the default versions of the necessary constructors/destructor
	vloadableINLINE_CONSTRUCTORS(TextDialog, vdialog);

	// overrides from vkindTyped
	vkindTYPED_FULL_DECLARATION(TextDialog);

	// virtual member function overrides
	// vloadable
	virtual void LoadInit(vresource resource);
	// vwindow
	virtual void ObserveWindow(vevent *event);

	// methods
	int Alert (char *title, char *src);
	void AcceptClick ();
	void CancelClick ();
	char *ResultString () { return resultString; }
    private:
	int result;
	char resultString [132];
	vdialogLabelItem *promptText;
	vtextitem *valueText;
	tvAcceptButton *accept;
	tvCancelButton *cancel;
};
