/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

#ifndef _GROUPINFO_H_
#define	_GROUPINFO_H_

#ifdef __cplusplus
struct GroupInfo {
#else
typedef struct {
#endif
    ScriptName	autoScript;
    ScriptName	auxAutoScript;
    ScriptName	manualScript;
    ScriptName	auxManualScript;
    ScriptName	displayName;
    HelpTopic	helpTopic;
    PathName	printers [AL_NUM_SEVR];
    PathName	auxPrinters [AL_NUM_SEVR];
    PathName	sounds [AL_NUM_SEVR];
    PathName	auxSounds [AL_NUM_SEVR];
    Rate	rates [AL_NUM_SEVR];
    Rate	auxRates [AL_NUM_SEVR];
    PointName	auxSelectPV;
    Guidance	guidance;
#ifdef __cplusplus
};
#else
} GroupInfo;
#endif

#define	MINOR	MINOR_ALARM
#define	MAJOR	MAJOR_ALARM
#define	INFO	INFO_ALARM
#define	EVENT	EVENT_ALARM
#define	NORM	NO_ALARM

#endif

