#ifndef vnameINCLUDED
#include <vname.h>
#endif

#include "alvu.h"


const vname	 *_alvuPredefs[_alvuCOUNT];
static const char	 *_alvu_predefStrings[] = {
	"SelectDeleteFilterTitle",
	"AlGrpDisablePt",
	"BlueLabel",
	"EnablePtTitle",
	"DisabledContainer",
	"ExpandViewTitle",
	"OpTrackOpenErr",
	"ValveFaultContainer",
	"AlTrkEntireWindow",
	"AlWndwEntireWindow",
	"AlTrkThisWindow",
	"PopupDialog",
	"FilterNameNeeded",
	"RefreshCancelledMsg",
	"DisplayEntry",
	"SelectionLabel",
	"EntireSummary",
	"MainFileDelete",
	"GreenValue",
	"PrintFinished",
	"MainViewSysHistory",
	"DisableGrpTitle",
	"DefineNewFilterTitle",
	"InitOperPrivErr",
	"ColorChooserDialog",
	"OneLineDownButton",
	"EnablePrivErr",
	"MainDialog",
	"AckContainer",
	"SetupFileReadErr",
	"ReportDialog",
	"GroupLabel",
	"UnkFldNameErr",
	"ComboBox",
	"BlankContainer",
	"AlHistThisWindow",
	"ShmemFormatErr",
	"IllegalCmdLineArg",
	"SelectEditFilterTitle",
	"RedSlider",
	"DynamicGroupTitle",
	"CommentView",
	"EditExistFilterTitle",
	"InfoTag",
	"alvuFilterDlg",
	"MainFileMenu",
	"EventButton",
	"MainFilePrint",
	"MajorFilterName",
	"SetupVersionErr",
	"FilterStartupContainer",
	"AlarmSummaryPrint",
	"SetupFileOpenErr",
	"AlsumAckPage",
	"CautionNotice",
	"AlGrpEnablePt",
	"AckAll",
	"AlarmsAfter",
	"MenuBar",
	"BlueSlider",
	"MainFileExit",
	"AlsumSilence",
	"MgrConnClosed",
	"ShmemAllocFail",
	"AlarmGroupButton",
	"AlsumModFilter",
	"OpenButton",
	"CancelDataButtonContainer",
	"TopButton",
	"IOFailContainer",
	"FilterStartupLabel",
	"MainCtrlDisPt",
	"CommentDialog",
	"DeleteButton",
	"AlHistModFilter",
	"MainViewEvHist",
	"StartupGroupNotExist",
	"ProgressDialog",
	"MainViewAlHist",
	"AlmPtsPrtTitle",
	"StartReadDataTitle",
	"AboutTitle",
	"DisablePtTitle",
	"NothingToPrint",
	"ValidButton",
	"DisablePrivErr",
	"MinorButton",
	"AlGrpEntireWindow",
	"UnkMgrMsg",
	"FilterStartup",
	"NoPrinterMsg",
	"OneLineDialog",
	"AlarmSummaryPrintTitle",
	"AlsumAckAll",
	"MainViewReports",
	"AlarmEventTitle",
	"EntireWindow",
	"SilenceMenuTitle",
	"ShowAll",
	"NoMemGrpNameErr",
	"AlarmDialogScrollBarContainer",
	"BlueValue",
	"AckDeletedMsg",
	"PrintNameTitle",
	"TempPrtFileErr",
	"AlarmWindowTitle",
	"PauseButton",
	"SystemTag",
	"ContainerDictionary",
	"GrpUnixPrtTitle",
	"GroupMenuTitle",
	"InfoNotice",
	"ManualContainer",
	"ValveFault",
	"ShmgetFail",
	"NoEnablePriv",
	"AlarmHistoryPrintTitle",
	"AlEvntThisWindow",
	"CancelDataButton",
	"InfoButton",
	"AlarmTrackTitle",
	"OKButton",
	"WhileReadingMsg",
	"AlarmDialogScrollBar",
	"MinorFilterName",
	"ShmdtFail",
	"MainSetupSave",
	"CommentPopup",
	"BottomButton",
	"MainSetupPrt",
	"NoAckPrivMsg",
	"MainViewAlSum",
	"RedLabel",
	"MainCtrlDisGrp",
	"ExitButton",
	"DictOverflowErr",
	"OneLineUpButton",
	"ShmatFail",
	"AckPage",
	"AlGrpScript",
	"HideMinor",
	"AlarmHistoryTitle",
	"MainVuDialog",
	"ShowAlarm",
	"InitPrivErr",
	"AlarmColorsLabel",
	"SelectStartupFilterTitle",
	"PumpFaultContainer",
	"GroupNotExistMsg",
	"MajorButton",
	"SecondLine",
	"Manual",
	"OnePageUpButton",
	"ItemsText",
	"MainFileNew",
	"MainExitButton",
	"SaveRptAs",
	"Disabled",
	"CancelButton",
	"AlsysEntireSummary",
	"ItemCountMsg",
	"OperatorLabel",
	"SendUnavailMsg",
	"UpButton",
	"ItemCount",
	"BrowseGroupTitle",
	"DisplayManyMsg",
	"OffscanContainer",
	"EntireHistory",
	"MainViewGroup",
	"AlarmSystemTitle",
	"FilterNameContainer",
	"FilterNameLabel",
	"LegalCmdLineArgs",
	"StartupContainer",
	"InitFailContainer",
	"NoGrpSelectErr",
	"EntireGrpTitle",
	"RedValue",
	"AlsumEntireWindow",
	"NotSetupFileErr",
	"BadFldSpecZeroErr",
	"MainSetupStFilter",
	"MainHelpMenu",
	"TitlesDictionary",
	"AlarmsBefore",
	"HideMajor",
	"AlarmsBeforeLabel",
	"OffScan",
	"AlGrpModFilter",
	"AlarmReportTitle",
	"MainFileSelect",
	"FirstLine",
	"AlarmMemReconfig",
	"VersionMsg",
	"SilenceButton",
	"MgrConnectErr",
	"PageDownButton",
	"HideInfo",
	"AlrptThisWindow",
	"GuidanceTitle",
	"ScriptButton",
	"ModifyFilterTitle",
	"GuidanceButton",
	"StartUpFilterTitle",
	"PumpFault",
	"MessagesDictionary",
	"DetailPopup",
	"DynamicGroupPrint",
	"NoDisablePriv",
	"ReportNameLabel",
	"SocketBlkErr",
	"HideEvent",
	"FilterStartupMenu",
	"CloseButton",
	"SaveButton",
	"AckManyDialog",
	"TextDialog",
	"HideAck",
	"BadFldSpec",
	"AlGrpAckAll",
	"ThisWindow",
	"BadDateTimeStr",
	"ScriptTitle",
	"AlGrpDisableGrp",
	"TextItem",
	"RecentAlarmTitle",
	"PopupStrings",
	"MainContainer",
	"ItemsRemainingLabel",
	"ClearMenuTitle",
	"AlGrpGuidance",
	"EventHistoryTitle",
	"MgrSocketErr",
	"OpenReportError",
	"GreenSlider",
	"EnableGrpTitle",
	"InfoTagContainer",
	"AlGrpEnableGrp",
	"AlsysThisWindow",
	"AlarmsAfterLabel",
	"ContinueReadDataTitle",
	"AlHistEntireWindow",
	"CommentDialogTitle",
	"FileNameTitle",
	"InitFail",
	"MainMajorButton",
	"SummaryButton",
	"MainViewAlWindow",
	"NameContainer",
	"MainMenu",
	"DatabaseOpenErr",
	"AckAllMenuTitle",
	"BadGrpNameErr",
	"MainSetupMenu",
	"AlrptSaveRptAs",
	"MainCtrlEnGrp",
	"MainFileEdit",
	"ControlTitle",
	"BadSensorContainer",
	"EntireReport",
	"MainMinorButton",
	"SeverityContainer",
	"MainViewOpTrack",
	"InfoFilterName",
	"AlarmDialogButtonContainer",
	"SystemTagContainer",
	"AlEvntModFilter",
	"AlWndwThisWindow",
	"AlrptEntireReport",
	"AlsumThisWindow",
	"LocalHostErr",
	"AlarmSummaryTitle",
	"ModifyFilter",
	"OperatorName",
	"MainControlMenu",
	"MainSetupColors",
	"AcceptButton",
	"ListView",
	"AlGrpDisplay",
	"MainCtrlEnPt",
	"FilterMenuTitle",
	"MainSetupPopAl",
	"GrpWinPrtTitle",
	"AlarmEventPrintTitle",
	"BadTxtStringErr",
	"SummaryFilterName",
	"TextView",
	"MainSummaryButton",
	"BadDictEntryErr",
	"FilterDialog",
	"AlGrpAckPage",
	"Clear",
	"SelectBaseFilterTitle",
	"ReportName",
	"DisplayTitle",
	"AlEvntEntireWindow",
	"DefaultFilterTitle",
	"SetupFileWriteErr",
	"AlarmUpdateMsg",
	"AlGrpThisWindow",
	"MgrRecvErr",
	"MainInfoButton",
	"MainSetupDef",
	"LogFileTitle",
	"ButtonContainer",
	"AlTrkModFilter",
	"NothingEntered",
	"IOFail",
	"BrowseButton",
	"GroupContainer",
	"MainSetupAlWin",
	"AckPrivErr",
	"GreenLabel",
	"EntireHistTitle",
	"OkButton",
	"DisplayButton",
	"HideUnAck",
	"AlarmWindowPrintTitle",
	"AlrptModFilter",
	"AlarmDialog",
	"PrintMenuTitle",
	"FilterGroup",
	"MenuTagsDictionary",
	"ComboDialog",
	"AlWndwClear",
	"NormalButton",
	"MainViewMenu",
	"MainSilenceButton",
	"BrowseReportsTitle",
	"Silence",
	"BadSensor",
	"FilterName",
	"AlsysModFilter",
	"ToManyFldsGrpErr",
	"EntireGroup"
};


void alvuInternNames() 
{
	register int	i;

	for ( i = 0; i < _alvuCOUNT; i++ ) 
		_alvuPredefs[i] = vnameInternGlobalLiteral( _alvu_predefStrings[i] );
}
