/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


#include "aim.h"

void	aimCreateAreYouSure(char *s,char *t)
{
  XmString	str,title,noString,yesString;
  if(!aimAreYouSure)
    {
      noString = XmStringCreateLtoR("Cancel",XmSTRING_DEFAULT_CHARSET);
      yesString = XmStringCreateLtoR("Yes",XmSTRING_DEFAULT_CHARSET);
      aimAreYouSure = (Widget)XmCreateQuestionDialog(aimTopLevel,"QUESTION",NULL,0);
      XtUnmanageChild((Widget)XmMessageBoxGetChild(aimAreYouSure,XmDIALOG_HELP_BUTTON));	/* CANCEL or HELP in this one */
      XtVaSetValues(aimAreYouSure,
		    XmNcancelLabelString,noString,
		    XmNokLabelString,yesString,
		    XmNdialogStyle,XmDIALOG_FULL_APPLICATION_MODAL,
		    XmNmessageAlignment,XmALIGNMENT_CENTER,
		    XmNx,400,
		    XmNy,400,
		    NULL);
      XmStringFree(yesString);
      XmStringFree(noString);
    }
  str = XmStringCreateLtoR(s,XmSTRING_DEFAULT_CHARSET);
  title = XmStringCreate(t,XmSTRING_DEFAULT_CHARSET);
  XtVaSetValues(aimAreYouSure,
		XmNmessageString,str,
		XmNdialogTitle,title,
		NULL);
  XmStringFree(title);
  XmStringFree(str);
  XtManageChild(aimAreYouSure);
  return;
}
void	aimCreateInfo(char * s, char *t)
{
XmString	str,title;
if(aimInfo == 0)
  {
    aimInfo = (Widget)XmCreateInformationDialog(aimTopLevel,"INFO",NULL,0);
    XtUnmanageChild((Widget)XmMessageBoxGetChild(aimInfo,XmDIALOG_HELP_BUTTON));	/* CANCEL or HELP in this one */
    XtUnmanageChild((Widget)XmMessageBoxGetChild(aimInfo,XmDIALOG_CANCEL_BUTTON));	/* CANCEL or HELP in this one */
    XtVaSetValues(aimInfo,
		  XmNdialogStyle,XmDIALOG_FULL_APPLICATION_MODAL,
		  XmNmessageAlignment,XmALIGNMENT_CENTER,
		  XmNx,400,
		  XmNy,400,
		  NULL);
  }
str = XmStringCreateLtoR(s,XmSTRING_DEFAULT_CHARSET);
title = XmStringCreate(t,XmSTRING_DEFAULT_CHARSET);
XtVaSetValues(aimInfo,
	      XmNmessageString,str,
	      XmNdialogTitle,title,
	      NULL);
XmStringFree(title);
XmStringFree(str);
XtManageChild(aimInfo);
return;
}
