/*getSdrLine.h,v 1.1.1.1 1999/08/03 14:41:56 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/* getSdrLine.c */
/* share/bld/libBld  @(#)getSdrLine.h	1.2     6/7/91 */

#ifndef INCgetSdrLineh
#define INCgetSdrLineh 1
#define MAXBUF      256
#define MAXLINE      (MAXBUF -1)

#define NO_QUOTES 0
#define TWO_QUOTES 2
#define FOUR_QUOTES 4

#ifndef FOREVER
#define FOREVER for(;;)
#endif

struct lineIn {
    char           *pnext;	/* pointer to next field */
    /* NULL if no more fields */
    char            line[MAXBUF];
    int             quote_count;/* number of double quotes in line */
    int             line_no;	/* current line number */
    int             eof;	/* EOF or 0 */
    char           *fname;	/* pointer to input filename */
};
#endif INCgetSdrLineh
