/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/*
	Field definitions header file for ldfw1.dbf
*/

F4FIELD_INFO	ldfw1FieldInfo[] = 
	{
	{"NAME",	'C',	28,	0},	/* NAME */
	{"FLNK",	'C',	28,	0},	/* FLNK	*/
	{"PUMP1",	'C',	28,	0},	/* PM01	*/
	{"PUMP2",	'C',	28,	0},	/* PM02	*/
	{"PUMP3",	'C',	28,	0},	/* PM03	*/
	{"PUMP4",	'C',	28,	0},	/* PM04	*/
	{"PUMP5",	'C',	28,	0},	/* PM06	*/
	{"PUMP6",	'C',	28,	0},	/* PM07	*/
	{"PUMP7",	'C',	28,	0},	/* PM08	*/
	{"PUMP8",	'C',	28,	0},	/* PM09	*/
	{"PUMP9",	'C',	28,	0},	/* PM10	*/
	{"PUMP10",	'C',	28,	0},	/* PM11	*/
	{"PUMP11",	'C',	28,	0},	/* PM12	*/
	{"PUMP12",	'C',	28,	0},	/* PM13	*/
	{"PUMP13",	'C',	28,	0},	/* PM14	*/
	{"PUMP14",	'C',	28,	0},	/* PM14	*/
	{"PUMP15",	'C',	28,	0},	/* PM15	*/
	{"PUMP16",	'C',	28,	0},	/* PM16	*/
	{"PUMP17",	'C',	28,	0},	/* PM17	*/
	{"PUMP18",	'C',	28,	0},	/* PM18	*/
	{"PUMP19",	'C',	28,	0},	/* PM19	*/
	{"PUMP20",	'C',	28,	0},	/* PM20	*/
	{"P1DESSEQ",	'N',	2,	0},	/* DS01	*/
	{"P2DESSEQ",	'N',	2,	0},	/* DS02	*/
	{"P3DESSEQ",	'N',	2,	0},	/* DS03	*/
	{"P4DESSEQ",	'N',	2,	0},	/* DS04	*/
	{"P5DESSEQ",	'N',	2,	0},	/* DS05	*/
	{"P6DESSEQ",	'N',	2,	0},	/* DS06	*/
	{"P7DESSEQ",	'N',	2,	0},	/* DS07	*/
	{"P8DESSEQ",	'N',	2,	0},	/* DS08	*/
	{"P9DESSEQ",	'N',	2,	0},	/* DS09	*/
	{"P10DESSEQ",	'N',	2,	0},	/* DS10	*/
	{"P11DESSEQ",	'N',	2,	0},	/* DS11	*/
	{"P12DESSEQ",	'N',	2,	0},	/* DS12	*/
	{"P13DESSEQ",	'N',	2,	0},	/* DS13	*/
	{"P14DESSEQ",	'N',	2,	0},	/* DS14	*/
	{"P15DESSEQ",	'N',	2,	0},	/* DS15	*/
	{"P16DESSEQ",	'N',	2,	0},	/* DS16	*/
	{"P17DESSEQ",	'N',	2,	0},	/* DS17	*/
	{"P18DESSEQ",	'N',	2,	0},	/* DS18	*/
	{"P19DESSEQ",	'N',	2,	0},	/* DS19	*/
	{"P20DESSEQ",	'N',	2,	0},	/* DS20	*/
	{"NUMRESPUMP",	'N',	2,	0},	/* NRPM	*/
	{"SECTOSTART",	'N',	8,	2},	/* STRS	*/
	{"SECTOSTOP",	'N',	8,	2},	/* STPS	*/
	{"OFFSETPT",	'N',	8,	2},	/* OSPT	*/
	{"UPPERSEVER",	'C',	13,	0},	/* USVR	*/
	{"LOWERSEVER",	'C',	13,	0},	/* LSVR	*/
	{"AUTOMATIC",	'L',	1,	0},	/* MODE	*/
	{"PUMPSREQ",	'N',	2,	0},	/* PREQ, no dataVu */
	{"LASTSTART",	'N',	2,	0},	/* LPST, no dataVu */
	{"PMPSELMODE",	'C',	11,	0},	/* PSMD */
	{"SUSPNDMODE",	'C',	28,	0},	/* SUSP	*/
	{"SUSPNVALUE",	'N',	6,	0},	/* SUSV	*/
	{0,0,0,0}
	};

T4TAG_INFO	ldfw1TagInfo[] = 
	{
	{"NAME",	"NAME",	0,	0,	0},
	{0,0,0,0,0}
	};


