#ifndef vupipedialogclassHXX
#define	vupipedialogclassHXX

class	vuPipeContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuPipeContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuPipeContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuPipeDialogClass

    vuPvNameButtonClass	*tempPVButton;
    vuFilteredTextitem	*tempPV;
    vuCheckBoxClass	*processTemp;
    vuCheckBoxClass	*msTemp;
    vuChoiceGblMenuClass	*tempUnits;
    vuPvNameButtonClass	*pressPVButton;
    vuFilteredTextitem	*pressPV;
    vuCheckBoxClass	*processPress;
    vuCheckBoxClass	*msPress;
    vuChoiceGblMenuClass	*volUnits;
    filteredTextitem	*runCommand;
    filteredTextitem	*stopCommand;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*onAlarm;
    filteredTextitem	*runningStatus;
    filteredTextitem	*stoppedStatus;
    vuChoiceGblMenuClass	*mode;
    filteredTextitem	*volChg;
    vuChoiceGblMenuClass	*volChgSeverity;
    vuCheckBoxClass	*initEMS;
    filteredTextitem	*volChgDeadband;
    filteredTextitem	*monitorDeadband;
    filteredTextitem	*archiveDeadband;
    filteredTextitem	*product;
    filteredTextitem	*settleTime;
    filteredTextitem	*strappingTable;
    filteredTextitem	*apiTable;
    filteredTextitem	*apiSpGravity;
    vuFilteredTextitem	*alarmGroup;
    vuPvNameButtonClass	*alarmDisableButton;
    vuFilteredTextitem	*alarmDisable;
};


//*** PIPE DIALOG CLASS **********************************************

class	vuPipeDialogClass : public vuCommonDialogClass
{
    vuPipeContainerClass	*pipeContainer;
    vstr			*pipeTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuPipeDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuPipeDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vupipedialogclassHXX

