#ifndef vurampdialogclassHXX
#define	vurampdialogclassHXX

class	vuRampContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuRampContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuRampContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuRampDialogClass

    vuPvNameButtonClass	*referenceButton;
    vuFilteredTextitem	*reference;
    filteredTextitem	*eguTag;
    vuCheckBoxClass	*manual;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*processInput;
    vuCheckBoxClass	*maximizeSeverity;
    filteredTextitem	*increaseRate;
    filteredTextitem	*decreaseRate;
    filteredTextitem	*noiseFilter;
    filteredTextitem	*precision;
    filteredTextitem	*monitorDeadband;
    filteredTextitem	*archiveDeadband;
    filteredTextitem	*displayLow;
    filteredTextitem	*displayHigh;
};


//*** RAMP DIALOG CLASS **************************************************

class	vuRampDialogClass : public vuCommonDialogClass
{
    vuRampContainerClass	*rampContainer;
    vstr			*rampTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuRampDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuRampDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vurampdialogclassHXX
