/* trendnotedlg.h,v 1.1.1.1 1999/08/03 14:45:10 tis4000 Exp
 *
 */

/*
 * TrendNoteDialog - trend notes class
 */
class taAddButton;
class taCancelButton;

class TrendNoteDialog : public vdialog
{
    public:
	// the default versions of the necessary constructors/destructor
	vloadableINLINE_CONSTRUCTORS(TrendNoteDialog, vdialog);

	// overrides from vkindTyped
	vkindTYPED_FULL_DECLARATION(TrendNoteDialog);

	// virtual member function overrides
	// vloadable
	virtual void LoadInit(vresource resource);
	// vwindow
	virtual void ObserveWindow(vevent *event);

	// methods
	int Alert (char *pointname, time_t time);
	void AddClick ();
	void CancelClick ();
	char *ResultString () { return resultString; }
    private:
	int result;
	char resultString [4096];
	vtextitem *nameText;
	vtextitem *dateText;
	vtextitem *timeText;
	vtextitem *noteText;
	taAddButton *add;
	taCancelButton *cancel;
};

/*
 * TrendNoteReadDialog - trend notes class
 */
class taNoteText;
class taCloseButton;
class taNextButton;
class taPrevButton;
class taDeleteButton;

class TrendNoteReadDialog : public vdialog
{
    public:
	// the default versions of the necessary constructors/destructor
	vloadableINLINE_CONSTRUCTORS(TrendNoteReadDialog, vdialog);

	// overrides from vkindTyped
	vkindTYPED_FULL_DECLARATION(TrendNoteReadDialog);

	// virtual member function overrides
	// vloadable
	virtual void LoadInit(vresource resource);
	// vwindow
	virtual void ObserveWindow(vevent *event);

	// methods
	void NoteModified ();
	void CloseClick ();
	void NextClick ();
	void PrevClick ();
	void DeleteClick ();
	char *ResultString () { return resultString; }
	int Alert (char *pointname, time_t time, int modifiable, int havePrev, int haveNext);
    private:
	void ProcessModify (void);
	int modified;
	int result;
	char resultString [4096];
	vtextitem *nameText;
	vtextitem *dateText;
	vtextitem *timeText;
	taNoteText *noteText;
	taCloseButton *close;
	taNextButton *next;
	taPrevButton *prev;
	taDeleteButton *del;
};
