/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/************************************************************************************
  ack.h

  K.Grimes    9/94
************************************************************************************/   
#include "cadef.h"
#include "msgMon.h"
#include "db_access.h"

#define    DESC_SZ         28
#define    SECONDS         60
#define    WAIT             1
#define    GROUP_SZ	   16

/********************************************************************
*********************************************************************/
int  init_ca(debug)
{
    if (ca_task_initialize() != ECA_NORMAL)
    {
	if (debug)
	{
	    tisSysLog (0,0, "ack - unsuccessful ca init");
	}
	return 0; 
    }
    else
	return 1;
}
/********************************************************************
*********************************************************************/
void  close_ca()
{
   ca_task_exit(); 
}
/************************************************************************************
  determine if the point needs to be acknowledged
************************************************************************************/
int  needs_acknowledgement(char *pointname)
{
char   pointfield[PVNAME_SZ + FLDNAME_SZ + 2];
char   needs_ack[4];
chid  pchid;

     sprintf( pointfield,"%s%s", pointname, ".ACK");

     /*  setup channel access for point name */
     
	 if (ca_search(pointfield, &pchid) == ECA_NORMAL) 
	     
	     if (ca_pend_io((float)5.0) == ECA_NORMAL) 

		 if (ca_array_get(OLD_DBR_STRING, 1, pchid, needs_ack) == ECA_NORMAL) 

		     if (ca_pend_io((float)5.0) == ECA_NORMAL) 

			if (strcmp (needs_ack, "YES") == 0)
		        {
			    return 1;
                        }
      return 0;
}
